# Drupal Sector

Sector is a Drupal distribution that is ready to go and easy to administer
allowing you to develop and deploy Drupal websites faster and more efficiently.

Using the latest versions of Drupal 7 core, Media, Display Suite and (optionally)
Workbench along with a wide range of contributed modules Sector provides a set of
tools to create a wide variety of websites out of the box. By design Sector is not
a lightweight distribution.

Sector includes a responsive theme called Sector Starter. Sector Starter uses
Bootstrap as a base theme and provides base typography, helper classes and general
style for components provided by Sector. Sector Starter can either be used as
a base theme or extended by cloning and owning.

Read more about Sector Starter here:

`themes/contrib/sector_starter/README.md`

# Installing Sector

Sector provides two installation methods out of the box

## 1. Drush make/aegir installation

Sector provides three makefiles for this installation:

  - build-sector.make: Processes the makefiles provided by the Sector distribution.
  - drupal-org-core.make: Requests the Drupal core version to be used by the
    Sector distribution.
  - drupal-org.make: Requests the contrib modules to be used by the Sector
    distribution.

Drush make example (with project.make) (modified from agovs AEGIR.MD file)
  - cd /var/makefiles (or somewhere equivalent you store makefiles)
  - git clone --branch 7.x-1.x git://git.drupal.org/project/sector.git
  - cp default.project.make project.make
  - drush make -v /var/makefiles/sector/build-sector.make /var/www/sector/dev

NOTE: Running this installation means the project.make file needs to be created
before running the drush make. See the project.make heading for more
information on this makefile.

Drush make example (without project.make) (modified from agovs AEGIR.MD file)
  - cd /var/makefiles (or somewhere equivalent you store makefiles)
  - git clone --branch 7.x-1.x git://git.drupal.org/project/sector.git
  - drush make -v /var/makefiles/sector/simplytest.make /var/www/sector/dev

## 2. Tar/Zip from Drupal.org

Sector provides the full installation in Tar/Zip form.

## Project.make Solution

Each sector installation uses a file called project.make which is used to get
all modules, libraries and themes that are not included in the base sector
install.
This means we can add new modules to the project without making any alterations
to the base sector project and preserve the update path.
These new additions are put in the appropriate place under sites/all.
Each new project needs to have a project.make file or the aegir install will
fail. The project comes with a default.project.make, create a copy of that with
cp default.project.make project.make

## Mobile sliding menu (mmenu) module 3rd party plugins

Sector includes the [Mobile sliding menu (mmenu) module](https://www.drupal.org/project/mmenu).
This module requires additional plugin libraries. These 3rd party plugins
cannot be included in the distribution drush make file as the plugins are
not included on [Drupal’s packaging whitelist](https://www.drupal.org/packaging-whitelist).

When using `build-sector.make`, these 3rd party plugins are fetched as
part of the build. If you are using your own makefile to pull in
Sector, refer to `build-sector.make` for the relevant section you will
need to include to fetch these libraries in your own project.

To complete your manual or tar/zip Sector installation you’ll need to add
the plugin libraries manually as described on the
[Mobile sliding menu documentation page ‘How to set up the mmenu?‘](https://www.drupal.org/node/2324017).
Note: Sector does not require icomoon.

# Sector Kits

Sector provides three 'kits' as options during install for the user to choose depending on
the individual site requirements.

## Sector Starter

The Sector Starter Kit includes common features for small to medium scale web projects.
It provides media support along with the page and news content types along with all base
Sector configuration.

## Sector Enterprise

The Sector Enterprise Kit includes common features for large scale web projects.
It contains everything that is in the Starter kit. It provides additional content types,
location settings and a media gallery.

## Sector NZgovt

The Sector NZgovt Kit includes common features required by New Zealand government web projects.
It provides  everything in the Enterprise kit. Additionally it provides workbench
access/moderation support, embargoed content and extra media helpers such as transcript and
longdesc support.

# Project Roadmap

**Please note: Sector is still under development not yet ready for production sites.**
General enhancements, module and core updates are to be expected.

A Drupal 8 version of Sector is in active development.

Additionally, we're aware of PHP notices on PHP7 environments but PHP7 is not currently supported by Sector.

# Resources

Please file issues in our issue queue -
    https://www.drupal.org/project/issues/sector

# Known Issues
