core = 7.x
api = 2

; DO NOT MAKE ANY CHANGES TO THIS FILE. IF YOU NEED A NEW VERSION OF A MODULE OR
; A NEW MODULE ADD IT TO THE PROJECT.MAKE FILE.

;syntax for future comments
;<issue number (either a Redmine ticket or a drupal.org issue number)> - <short description explaining why, not what>
defaults[projects][subdir] = "contrib"

; Contrib modules

projects[admin_menu][version] = "3.0-rc6"
projects[adminimal_admin_menu][version] = "1.9"
projects[admin_views][version] = "1.7"
projects[advancedform][version] = "1.2"
projects[auto_entitylabel][version] = "1.4"
projects[autologout][version] = "4.5"
projects[backup_migrate][version] = "3.6"
projects[better_formats][version] = "1.0-beta2"
projects[block_class][version] = "2.4"
projects[breakpoints][version] = "1.6"
projects[chunker][version] = "1.1"
projects[context][version] = "3.10"
projects[crumbs][version] = "2.7"
projects[css_injector][version] = "1.10"
projects[ctools][version] = "1.15"
projects[cck][version] = "3.0-alpha3"

;1309870 - Allows CCK blocks to be displayed properly in the workbench moderation draft status.
projects[cck_blocks][version] = "1.1"
projects[cck_blocks][patch][] = "https://www.drupal.org/files/issues/cck-blocks-workbench-integration-1309870-6.patch"
projects[date][version] = "2.10"

;illegal offset patch - Removes some redundent code to stop an illegal offset warning from being thrown.
;undefined index patch - Stops a warning that comes up from having both defaultconfig and FE block enabled.
projects[defaultconfig][patch][] = "https://www.drupal.org/files/issues/defaultconfig-Illegal_offset_type-1940366-2.patch"
projects[defaultconfig][patch][] = "https://www.drupal.org/files/issues/1900574.defaultconfig.undefinedindex_13.patch"
projects[defaultconfig][version] = "1.0-alpha11"
projects[devel][version] = "1.7"
projects[diff][version] = "3.4"
projects[drafty][version] = "1.0-rc1"
projects[ds][version] = "2.16"
projects[email][version] = "1.3"

;URL formatter patch - Removed this for 1.5 update to Entityreference.
; If any issues are noticed report an issue on drupal.org.
projects[entityreference][version] = "1.5"

;Correctly resets the cache so it can run on entity insert
projects[entity][patch][2307807] = "https://www.drupal.org/files/issues/2307807-entity-reset-insert-1.patch"
projects[entity][version] = "1.9"
projects[entityqueue][version] = "1.5"
projects[environment_indicator][version] = "2.9"
projects[facetapi][version] = "1.5"
projects[features][version] = "2.11"
projects[facetapi_bonus][version] = "1.2"
projects[features_extra][version] = "1.0"
projects[fe_paths][version] = "2.0-alpha3"
;Patch fixes issues during install with the user entity.
projects[fe_paths][patch][] = "https://www.drupal.org/files/issues/fe-paths-user-save1997908-10.patch"
;Patch fixes issue with a warning shown due to a var not being checked.
projects[fe_paths][patch][] = "https://www.drupal.org/files/issues/fe_paths-1911648.patch"
projects[feeds][version] = "2.0-beta4"
projects[field_formatter_settings][version] = "1.1"
projects[field_formatter_filter][version] = "1.0"
; WARNING!!!! - Please do not update the field_group module without checking if the contents of the field_group/field_group.js has changed. The theme ([themename]/js/file.field_group.js) modifies and extends the js from the module.
projects[field_group][version] = "1.6"
projects[field_group_link][version] = "1.5"
projects[file_entity][version] = "2.27"
projects[file_lock][version] = "2.0"
projects[gmap][version] = "2.11"
projects[google_analytics][version] = "2.5"
projects[honeypot][version] = "1.26"
projects[imagecache_actions][version] = "1.11"
projects[job_scheduler][version] = "2.0"
projects[jquery_update][version] = "2.7"
projects[libraries][version] = "2.5"
projects[link][version] = "1.7"
projects[linkit][version] = "3.5"
projects[location][version] = "3.7"
projects[media][version] = "2.24"
projects[media_oembed][version] = "2.7"
projects[menu_attributes][version] = "1.0"
projects[menu_block][version] = "2.8"
projects[menu_node][version] = "1.2"
projects[menu_node_views][version] = "1.x-dev"
projects[metatag][version] = "1.26"
projects[multiform][version] = "1.6"

;Allows for the changing of offCanvas position
projects[mmenu][version] = "2.1"
projects[mmenu][patch][] = "https://www.drupal.org/files/issues/mmenu_allow_change_offcanvas_position.patch"
projects[password_policy][version] = "1.16"
projects[pathauto][version] = "1.3"
projects[pathologic][version] = "2.12"
projects[picture][version] = "2.13"
projects[plupload][version] = "1.7"
projects[rabbit_hole][version] = "2.25"
projects[redirect][version] = "1.0-rc3"
projects[regionclass][version] = "1.0-rc2"
projects[rules][version] = "2.12"
projects[scheduler][version] = "1.5"
projects[search_api][version] = "1.26"
projects[search_api_solr][version] = "1.14"
projects[search_api_spellcheck][version] = "1.0"
projects[securepages][version] = "1.0-beta2"

; Left social share at 2.3, since it causes the patch to fail. (Apr 2017)
; Patch to be rewritten for 2.5/new version when updating.
projects[social_share][version] = "2.3"
; Adds the email network
projects[social_share][patch][] = "https://www.drupal.org/files/issues/share_via_email-2834699-2.patch"
; Fix for MySQL 5.7
projects[social_share][patch][] = "https://www.drupal.org/files/issues/2792201-3-mysql-5.7-support.patch"

projects[strongarm][version] = "2.0"
projects[telephone][version] = "1.0-alpha1"
projects[token][version] = "1.7"
projects[token_filter][version] = "1.1"
projects[username_enumeration_prevention][version] = "1.3"

;1229670 - Allows for the exporting of individual files
;2746073 - Allows for Media:oembed support for audio files.
projects[uuid][version] = "1.3"
projects[uuid_features][version] =  "1.x-dev"
projects[uuid_features][patch][] = "https://www.drupal.org/files/issues/uuid_features-support_packaged_file_entities-1229670-36.patch"
projects[uuid_features][patch][] = "https://www.drupal.org/files/issues/media-oembed-support-2746073-2.patch"
projects[varnish][version] = "1.9"
projects[views][version] = "3.23"
projects[views_bootstrap][version] = "3.2"
projects[views_bulk_operations][version] = "3.5"
projects[webform][version] = "4.21"
projects[workbench][version] = "1.2"
projects[workbench_access][version] = "1.6"

;2721321 - Surfaces the log message in the My drafts and Needs review views
projects[workbench_moderation][version] = "3.0"
;This patch will need to be rewritten for 3.0
;projects[workbench_moderation][patch][] = "https://www.drupal.org/files/issues/workbench_moderation-log-message-view-2721321-2.patch"

;2727183 - Adds an add file button to the admin/workbench/files view
projects[workbench_media][version] = "1.1"
projects[workbench_media][patch][] = "https://www.drupal.org/files/issues/add-file-button-2727183-2.patch"
projects[workbench_scheduler][version] = "1.9"
projects[menu_token][version] = "1.0-beta7"

;Needs to be kept to this specific revision to work with CKEditor 4
projects[wysiwyg][version] = "2.6"
projects[wysiwyg_template][version] = "2.x-dev"
projects[wysiwyg_filter][version] = "1.6-rc9"
projects[xmlsitemap][version] = "2.6"

; Themes

projects[bootstrap][version] = "3.26"
projects[shiny][version] = "1.7"

; Libraries

libraries[ckeditor][download][type] = "get"
libraries[ckeditor][download][url] = "http://download.cksource.com/CKEditor/CKEditor/CKEditor%204.4.7/ckeditor_4.4.7_full.zip"
libraries[ckeditor][directory_name] = "ckeditor"
libraries[ckeditor][type] = "library"
