<?php

/**
 * @file
 * Theme functions for the Sector blocks module.
 */

/**
 * Returns the rendered page title.
 *
 * @ingroup themeable
 */
function theme_sector_blocks_page_title($variables) {
  if ($variables['page_title'] !== '') {
    $attributes['id'] = 'page-title';
    $attributes['class'][] = 'title';

    if ($variables['page_title_hidden']) {
      $attributes['class'][] = 'element-invisible';
    }

    return '<h1' . drupal_attributes($attributes) . '>' . $variables['page_title'] . '</h1>';
  }
}

/**
 * Returns the rendered menu local tasks.
 *
 * @ingroup themeable
 */
function theme_sector_blocks_tabs($variables) {
  $tabs = theme('menu_local_tasks', $variables);

  if (!empty($tabs)) {
    return '<div id="tabs" class="clearfix">' . $tabs . '</div>';
  }
}
