/**
 * Custom javascript
 *
 */
(function ($) {


    Drupal.behaviors.wysiwygImageLeftClick = {
        attach: function (context, settings) {

            // Needed this check. Makes sure the CKEDITOR variable actually
            // exists. Without this check it was causing issues on admin pages.
            if (typeof CKEDITOR !== 'undefined') {
                /**
                 * Some description here
                 *
                 */
                    //disable image plugin due conflicts with media (media browser plugin)
                CKEDITOR.config.removePlugins = 'image';


                //wait till the iframe exits
                CKEDITOR.on('instanceReady', function (ev) {

                    //get editor instance
                    var editor = ev.editor;


                    editor.on('doubleclick', function (evt) {
                        var element = evt.data.element;
                        if (element.is('img') && !element.data('cke-realelement') && !element.isReadOnly()) {
                            editor.execCommand('media');
                            evt.data.dialog = null;
                        }
                    }, null, null, 100000);//priority has to be higher than image priority.


                    if (editor.addMenuItems) {
                        // 1st, add a Menu Group
                        // tip: name it the same as your plugin. (I'm not sure about this)
                        editor.addMenuGroup('mdbt', 3);

                        // 2nd, use addMenuItems to add items
                        editor.addMenuItems({
                            // 2.1 add the group again, and give it getItems, return all the child items
                            mdbt: {
                                label: 'Media browser',
                                group: 'mdbt',
                                order: 21,
                                command: 'media',
                                icon: "/profiles/sector/modules/contrib/media/modules/media_wysiwyg/images/wysiwyg-media.gif",
                            },

                        });
                    }

                    // 3rd, add Listener, and return the Menu Group
                    if (editor.contextMenu) {
                        editor.contextMenu.addListener(function (element, selection) {
                            return {
                                mdbt: CKEDITOR.TRISTATE_OFF
                            };
                        });
                    }

                });
            }
        }
    };

})(jQuery);