<?php
/**
 * @file
 * Defines Views time spans filter
 *
 */

/**
 * Implements hook_views_data()
 */
function views_time_spans_filter_views_data() {
  $data = array();

  $tables = date_views_base_tables();

  foreach ($tables as $base_table => $entity) {
    // The flexible date filter.
    $data[$base_table]['time_spans_filter'] = array(
      'group' => t('Date'),
      'title' => t('Time spans (!base_table)', array('!base_table' => $base_table)),
      'help' => t('Filter by predefined timespans for a Views !base_table date field.', array('!base_table' => $base_table)),
      'filter' => array(
        'handler' => 'views_time_spans_filter_handler',
        'empty field name' => t('Undated'),
        'is date' => TRUE,
      ),
    );
  }

  return $data;
}