

<?php
/**
 * @file
 * A filter similar for predefined time spans for a single field
 */

class views_time_spans_filter_handler extends date_views_filter_handler_simple {
  
  var $date_handler = NULL;
  var $offset = NULL;
  
  function init(&$view, &$options) {
     parent::init($view, $options);
       
  }

  function option_definition() {
    $options = parent::option_definition();
    $options['date_field'] = array('default' => NULL);
    return $options;
  }
  
  function extra_options_form(&$form, &$form_state) {
    
    $fields = date_views_fields($this->base_table);
    $options = array();
    foreach ($fields['name'] as $name => $field) {
      $options[$name] = $field['label'];
    }
    
    $form['date_field'] = array(
      '#title' => t('Date field'),
      '#type' => 'select',
      '#options' => $options,
      '#default_value' => $this->options['date_field'],
      '#description' => t('Select the date field.'),
      '#required' => TRUE,
    );
    
    $form['time_spans'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Select which filters you want to display'),
      '#default_value' => $this->options['time_spans'],
      '#options' => $this->widget_options(),
      );
  }
  
  function operators() {
    $operators = parent::operators();
    $operators['during_timespan'] = array(
      'title' => t('During a predefined timespan'),
      'method' => 'op_during',
      'short' => t('during'),
      'values' => 1,
    );
    return $operators;
  }
    
  function op_during($field) {

    // Add the delta field to the view so we can later find the value that matched our query.
    /*
    list($table_name, $field_name) = explode('.', $field);
    if (!empty($this->options['add_delta']) && (substr($field_name, -6) == '_value' || substr($field_name, -7) == '_value2')) {
      $this->query->add_field($table_name, 'delta');
    }

    $value = $this->get_filter_value('value', $this->value['value']);
    $comp_date = new DateObject($value, date_default_timezone(), $this->format);
    $fields = date_views_fields($this->base_table);
    $fields = $fields['name'];
    $fromto = $fields[$field]['fromto'];
    $field_min = $this->date_handler->sql_field($fromto[0], NULL, $comp_date);
    $field_min = $this->date_handler->sql_format($this->format, $field_min);
    $field_max = $this->date_handler->sql_field($fromto[1], NULL, $comp_date);
    $field_max = $this->date_handler->sql_format($this->format, $field_max);
    $placeholder_min = $this->placeholder();
    $placeholder_max = $this->placeholder();
    $group = !empty($this->options['date_group']) ? $this->options['date_group'] : $this->options['group'];
    $this->query->add_where_expression($group, "$field_max >= $placeholder_min AND $field_min <= $placeholder_max", array($placeholder_min => $value, $placeholder_max => $value));
    */
  }
  
  /**
   * Time span selection options.
   */
  function widget_options() {
    $current_year = date('Y');
    $options = array(
      'last_week' => t('Last week'),
      'last_three_months' => t('Last 3 months'),
      'last_twelve_months' => t('Last 12 months'),
      'current_year' => 'Current year (displays currently as: ' . $current_year . ')',
      'current_year_minus_1' => 'Current year - 1 (displays currently as: ' . ($current_year - 1) . ')',
      'current_year_minus_2' => 'Current year - 2 (displays currently as: ' . ($current_year - 2) . ')',
      // more?
    );
    return $options;
  }
}