(function ($) {
    Drupal.behaviors.viewsTimeSpansFilterBehavior = {
        attach: function (context, settings) {
            var dateFieldId = settings.view_time_spans_filter.date_field_id;
            var minWrapperId = settings.view_time_spans_filter.min_field_css_selector;
            var maxWrapperId = settings.view_time_spans_filter.max_field_css_selector;

            // Show / hide the original controls
            $('#' + minWrapperId).hide();
            $('#' + maxWrapperId).hide();
            $('#timespan-filter').show();

            $("[name='" + dateFieldId + "[timespan_filter]']").change(function () {
                var timeSpan =  $(this).val();
                $("[name='" + dateFieldId + "[min][date]']").val(settings.view_time_spans_filter.values[timeSpan].start);
                $("[name='" + dateFieldId + "[max][date]']").val(settings.view_time_spans_filter.values[timeSpan].end);
            });
        }
    }
})(jQuery);

