<?php
/**
 * @file
 * sector_admin_toggle.features.defaultconfig.inc
 */

/**
 * Implements hook_defaultconfig_features().
 */
function sector_admin_toggle_defaultconfig_features() {
  return array(
    'sector_admin_toggle' => array(
      'default_fe_block_boxes' => 'default_fe_block_boxes',
    ),
  );
}

/**
 * Implements hook_defaultconfig_default_fe_block_boxes().
 */
function sector_admin_toggle_defaultconfig_default_fe_block_boxes() {
  $export = array();

  $fe_block_boxes = new stdClass();
  $fe_block_boxes->info = 'Admin UI toggle';
  $fe_block_boxes->format = 'ds_code';
  $fe_block_boxes->machine_name = 'admin_toggle';
  $fe_block_boxes->body = '<p><button></button></p>
<script type="text/javascript">
(function ($) {
  Drupal.behaviors.inline = {
    attach: function (context, settings) {
      $("button",".admin-ui-toggle").on(\'click\', function(evt){
        $("body").toggleClass("admin-ui-hide");
        if ($("body").hasClass(\'admin-ui-hide\')) {
           $(\'.admin-ui-toggle\').addClass(\'ui-is-hidden\');
        } else {
           $(\'.admin-ui-toggle\').removeClass(\'ui-is-hidden\');
        }
        evt.preventDefault();
      });
    }
  };
})(jQuery);
</script>
<style type="text/css">.admin-ui-hide #admin-menu {display:none!important;}
  .admin-ui-hide #block-delta-blocks-tabs {display:none!important;}
  .admin-ui-hide #block-workbench-block {display:none!important;}
  .admin-ui-hide .contextual-links-wrapper {display:none!important;}
  .admin-ui-hide .tabs--primary {display:none!important;}
  .admin-ui-hide .alert {display:none!important;}
  .admin-ui-hide #admin-menu {display:none!important;}
  html body.admin-ui-hide.admin-menu {margin-top: 0!important;}
  .admin-ui-toggle p {
    margin:0;padding:0;
  }
  .admin-ui-toggle button {
    position: fixed;
    bottom:0;
    right:0;
    border: none;
    outline:none;
    z-index: 999;
  }
  .admin-ui-toggle button:before {
    content: \'Hide admin UI\';
    font-size: 12px;
    line-height: 1;
  }
.admin-ui-toggle.ui-is-hidden button:before {
   content: \'Show admin UI\';
}
  .admin-ui-toggle button .fa-toggle-off {
    display: none;
  }
  .admin-ui-toggle button .fa-toggle-on {
    display: block;
  }
  .admin-ui-hide .admin-ui-toggle button .fa-toggle-off {
    display: block;
  }
  .admin-ui-hide .admin-ui-toggle button .fa-toggle-on {
    display: none; 
  }
</style>
';

  $export['admin_toggle'] = $fe_block_boxes;

  return $export;
}
