<?php
/**
 * @file
 * sector_wysiwyg_template.features.wysiwyg_template.inc
 */

/**
 * Implements hook_wysiwyg_template_default_templates().
 */
function sector_wysiwyg_template_wysiwyg_template_default_templates() {
  $templates = array();
  $templates['blockquote_full_text_align_left'] = array(
    'title' => 'Blockquote - Full. Text align left with cite',
    'description' => 'Full column blockquote with text aligned left with cite',
    'weight' => 2,
    'fid' => 0,
    'body' => '<blockquote>
<p>The content of a blockquote element must include block-level elements such as headings, lists, or paragraphs. They can also have an optional attribute cite.</p>
<footer><cite>A cite defines an in-line citation or reference to another source</cite></footer>
</blockquote>',
    'format' => 'ds_code',
    'name' => 'blockquote_full_text_align_left',
    'content_types' => array(),
  );
  $templates['blockquote_full_text_align_right'] = array(
    'title' => 'Blockquote - Full. Text align right with cite',
    'description' => 'Full column blockquote with text aligned right with cite',
    'weight' => 3,
    'fid' => 0,
    'body' => '<blockquote class="blockquote-reverse">
<p>The content of a blockquote element must include block-level elements such as headings, lists, or paragraphs. They can also have an optional attribute cite.</p>
<footer><cite>A cite defines an in-line citation or reference to another source</cite></footer>
</blockquote>',
    'format' => 'ds_code',
    'name' => 'blockquote_full_text_align_right',
    'content_types' => array(),
  );
  $templates['blockquote_half_featured_float_l'] = array(
    'title' => 'Blockquote - Half. Featured. Float left',
    'description' => 'Half column blockquote with a featured background floated left',
    'weight' => 4,
    'fid' => 0,
    'body' => '<div class="element pull-left">
<blockquote class="featured">
<p>"Quotes are used to emphasise excerpts of text."</p>
<footer><cite>A cite defines an in-line citation or reference to another source</cite></footer>
</blockquote>
</div>',
    'format' => 'ds_code',
    'name' => 'blockquote_half_featured_float_l',
    'content_types' => array(),
  );
  $templates['blockquote_half_featured_float_r'] = array(
    'title' => 'Blockquote - Half. Featured. Float right',
    'description' => 'Half column blockquote with a featured background floated right',
    'weight' => 5,
    'fid' => 0,
    'body' => '<div class="element has-offset-right pull-right">
<blockquote class="featured">
<p>"Quotes are used to emphasise excerpts of text."</p>
<footer><cite>A cite defines an in-line citation or reference to another source</cite></footer>
</blockquote>
</div>',
    'format' => 'ds_code',
    'name' => 'blockquote_half_featured_float_r',
    'content_types' => array(),
  );
  $templates['grid_2_x_1'] = array(
    'title' => 'Grid - 2 x 1',
    'description' => 'A multi-purpose responsive 2 x 1 grid',
    'weight' => 6,
    'fid' => 0,
    'body' => '<div class="row">
<div class="col-md-6">
Layout your content in a 2 column grid.
</div>
<div class="col-md-6">
Layout your content in a 2 column grid.
</div>
</div>',
    'format' => 'ds_code',
    'name' => 'grid_2_x_1',
    'content_types' => array(),
  );
  $templates['list_definition'] = array(
    'title' => 'List - Definition',
    'description' => 'A list of terms with their associated descriptions.',
    'weight' => 0,
    'fid' => 0,
    'body' => '<dl><dt>Definition list title</dt><dd>Here is a definition list description</dd><dt>Tip</dt><dd>Add the class <code>dl-horizontal</code> to the <code><dl></code> element via source to create a horizontal list. A horizontal list makes terms and descriptions line up side-by-side.</dd></dl>',
    'format' => 'ds_code',
    'name' => 'list_definition',
    'content_types' => array(),
  );
  $templates['note_default'] = array(
    'title' => 'Note - Default',
    'description' => 'For other styles add extra classes. e.g: class="note note--primary”. Or: note--success, note--info, note--warning, note--danger',
    'weight' => 0,
    'fid' => 0,
    'body' => '<div aria-label="Information" class="note" role="note">
<h4>Callout note title</h4>
<p>Use a callout note to draw attention to important content on the page.</p>
</div>',
    'format' => 'ds_code',
    'name' => 'note_default',
    'content_types' => array(),
  );
  $templates['table_4_x_3_header_top'] = array(
    'title' => 'Table - with header cells in the top row only',
    'description' => 'Responsive table with header cells in the top row only.',
    'weight' => 7,
    'fid' => 0,
    'body' => '<div class="table-responsive">
	<table class="table">
<caption>Captions provide information that can help users find, navigate, and understand tables.</caption>
	<tr>
		<th>Date</th>
		<th>Event</th>
		<th>Venue</th>
	</tr>
	<tr>
		<td>12 February</td>
		<td>Waltz with Strauss</td>
		<td>Main Hall</td>
	</tr>
</table>
</div>
',
    'format' => 'ds_code',
    'name' => 'table_4_x_3_header_top',
    'content_types' => array(),
  );
  $templates['table_4_x_3_header_top_and_side'] = array(
    'title' => 'Table - with header cells in the first column only',
    'description' => 'Responsive table with header cells in the first column only.',
    'weight' => 8,
    'fid' => 0,
    'body' => '<div class="table-responsive">
	<table class="table">
<caption>Captions provide information that can help users find, navigate, and understand tables.</caption>
	<tr>
		<th>Date</th>
		<td>12 February</td>
		<td>24 March</td>
		<td>14 April</td>
	</tr>
	<tr>
		<th>Event</th>
		<td>Waltz with Strauss</td>
		<td>The Obelisks</td>
		<td>The What</td>
	</tr>
	<tr>
		<th>Venue</th>
		<td>Main Hall</td>
		<td>West Wing</td>
		<td>Main Hall</td>
	</tr>
</table>
</div>
',
    'format' => 'ds_code',
    'name' => 'table_4_x_3_header_top_and_side',
    'content_types' => array(),
  );
  $templates['table_with_header_cells_in_the_t'] = array(
    'title' => 'Table - with header cells in the top row and first column',
    'description' => 'Responsive table with header information in both the top row and the first column.',
    'weight' => 9,
    'fid' => 0,
    'body' => '<div class="table-responsive">
	<table class="table">
	<caption>Captions provide information that can help users find, navigate, and understand tables.</caption>
	<tr>
		<td></td>
		<th>Monday</th>
		<th>Tuesday</th>
		<th>Wednesday</th>
		<th>Thursday</th>
		<th>Friday</th>
	</tr>
	<tr>
		<th>09:00 - 11:00</th>
		<td>Closed</td>
		<td>Open</td>
		<td>Open</td>
		<td>Closed</td>
		<td>Closed</td>
	</tr>
	<tr>
		<th>11:00 - 13:00</th>
		<td>Open</td>
		<td>Open</td>
		<td>Closed</td>
		<td>Closed</td>
		<td>Closed</td>
	</tr>
	<tr>
		<th>13:00 - 15:00</th>
		<td>Open</td>
		<td>Open</td>
		<td>Open</td>
		<td>Closed</td>
		<td>Closed</td>
	</tr>
	<tr>
		<th>15:00 - 17:00</th>
		<td>Closed</td>
		<td>Closed</td>
		<td>Closed</td>
		<td>Open</td>
		<td>Open</td>
	</tr>
</table>
</div>',
    'format' => 'ds_code',
    'name' => 'table_with_header_cells_in_the_t',
    'content_types' => array(),
  );
  return $templates;
}
