/**
 * Custom javascript for the gallery carousel
 *
 * This file is loaded
 * via template.php sector_starter_preprocess_views_view
 *
 */
(function ($) {

  Drupal.behaviors.gallery = {
    attach: function (context, settings) {

      /**
       * Show the carousel block
       */

      // Functions for tidyness
      function showGalleryCarousel() {
        $('.gallery--carousel').addClass("carousel-is-active");
        $("html").addClass('carousel-is-active');
      }
      // Functions for tidyness
      function hideGalleryCarousel() {
        $('.gallery--carousel').removeClass('carousel-is-active');
        $('.gallery--carousel').carousel('pause');
        $("html").removeClass('carousel-is-active');
      }
      // show the carousel at the image selected
      $('.js-toggle-carousel').click(function(event) {
        var index = $(this).index();
        $('.gallery--carousel').carousel(index);
        $('.gallery--carousel').carousel('cycle');
        showGalleryCarousel();
        return false;
      });
      // hide the carousel
      $(document).on('click', function(event) {
        if (!$(event.target).closest('.carousel').length) {
          hideGalleryCarousel();
        }
      });

      /**
       * Gallery caption toggle.
       *
       */

      // Functions for tidyness
      function toggleGalleryCaption() {
        $('.col-md-3').toggleClass('caption-is-visible');
      }
      // Toggle the gallery caption
      $('.js-toggle-caption').on({
        click: function () {
          toggleGalleryCaption();
          return false;
        },
      });

    }
  };

})(jQuery);
