<?php
/**
 * @file
 * sector_media_collection.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function sector_media_collection_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|image|collection_carousel';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'image';
  $ds_fieldsetting->view_mode = 'collection_carousel';
  $ds_fieldsetting->settings = array(
    'field_credit_text' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'has-margin-top-half small',
        ),
      ),
    ),
    'field_description' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
        ),
      ),
    ),
    'field_title' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'h3',
        ),
      ),
    ),
  );
  $export['file|image|collection_carousel'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|image|collection_full';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'image';
  $ds_fieldsetting->view_mode = 'collection_full';
  $ds_fieldsetting->settings = array(
    'field_credit_text' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'has-margin-top-half small text-right',
        ),
      ),
    ),
    'field_description' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
        ),
      ),
    ),
    'field_title' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'h4',
        ),
      ),
    ),
  );
  $export['file|image|collection_full'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|media_collection|teaser';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'media_collection';
  $ds_fieldsetting->view_mode = 'teaser';
  $ds_fieldsetting->settings = array(
    'title' => array(
      'weight' => '3',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '0',
        'wrapper' => 'h2',
        'class' => 'slat__title h5',
        'ft' => array(
          'func' => 'theme_ds_field_reset',
        ),
      ),
    ),
    'body' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'slat__body',
        ),
      ),
    ),
    'field_issue_date' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'slat__term inline-block',
        ),
      ),
    ),
    'field_media_collection_teaser' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_reset',
        ),
      ),
    ),
    'field_media_collection_type' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'slat__term inline-block',
        ),
      ),
    ),
  );
  $export['node|media_collection|teaser'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function sector_media_collection_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|image|collection_carousel';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'image';
  $ds_layout->view_mode = 'collection_carousel';
  $ds_layout->layout = 'sector_media_collection_8_3';
  $ds_layout->settings = array(
    'regions' => array(
      'left' => array(
        0 => 'group_wrapper',
        1 => 'file',
      ),
      'right' => array(
        2 => 'field_title',
        3 => 'field_description',
        4 => 'field_credit_text',
      ),
    ),
    'fields' => array(
      'group_wrapper' => 'left',
      'file' => 'left',
      'field_title' => 'right',
      'field_description' => 'right',
      'field_credit_text' => 'right',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'left' => 'div',
      'right' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['file|image|collection_carousel'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|image|collection_full';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'image';
  $ds_layout->view_mode = 'collection_full';
  $ds_layout->layout = 'sector_media_collection_7_4';
  $ds_layout->settings = array(
    'regions' => array(
      'left' => array(
        0 => 'group_wrapper',
        1 => 'field_credit_text',
        2 => 'file',
        3 => 'group_meta',
        6 => 'group_link',
        7 => 'field_tags',
        8 => 'field_location_text',
        9 => 'field_date_taken',
      ),
      'right' => array(
        4 => 'field_title',
        5 => 'field_description',
      ),
    ),
    'fields' => array(
      'group_wrapper' => 'left',
      'field_credit_text' => 'left',
      'file' => 'left',
      'group_meta' => 'left',
      'field_title' => 'right',
      'field_description' => 'right',
      'group_link' => 'left',
      'field_tags' => 'left',
      'field_location_text' => 'left',
      'field_date_taken' => 'left',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'left' => 'div',
      'right' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['file|image|collection_full'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|image|collection_preview';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'image';
  $ds_layout->view_mode = 'collection_preview';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'file',
      ),
    ),
    'fields' => array(
      'file' => 'ds_content',
    ),
    'classes' => array(),
    'wrappers' => array(),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => TRUE,
    'layout_link_attribute' => FALSE,
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['file|image|collection_preview'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|media_collection|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'media_collection';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'field_subtitle',
        1 => 'field_issue_date',
        2 => 'group_meta',
        3 => 'field_media_document',
        4 => 'field_media_collection_type',
        5 => 'field_related_external_url',
        6 => 'field_related_internal_url',
      ),
    ),
    'fields' => array(
      'field_subtitle' => 'ds_content',
      'field_issue_date' => 'ds_content',
      'group_meta' => 'ds_content',
      'field_media_document' => 'ds_content',
      'field_media_collection_type' => 'ds_content',
      'field_related_external_url' => 'ds_content',
      'field_related_internal_url' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|media_collection|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|media_collection|teaser';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'media_collection';
  $ds_layout->view_mode = 'teaser';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'group_link',
        1 => 'title',
        2 => 'field_media_collection_type',
        3 => 'field_issue_date',
        4 => 'body',
        5 => 'group_wrapper',
        6 => 'field_media_collection_teaser',
        7 => 'group_content',
      ),
    ),
    'fields' => array(
      'group_link' => 'ds_content',
      'title' => 'ds_content',
      'field_media_collection_type' => 'ds_content',
      'field_issue_date' => 'ds_content',
      'body' => 'ds_content',
      'group_wrapper' => 'ds_content',
      'field_media_collection_teaser' => 'ds_content',
      'group_content' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        'slat' => 'slat',
        'slat--tile' => 'slat--tile',
        'has-margin-top-base' => 'has-margin-top-base',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['node|media_collection|teaser'] = $ds_layout;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function sector_media_collection_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'collection_carousel';
  $ds_view_mode->label = 'Collection carousel';
  $ds_view_mode->entities = array(
    'file' => 'file',
  );
  $export['collection_carousel'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'collection_full';
  $ds_view_mode->label = 'Collection full';
  $ds_view_mode->entities = array(
    'file' => 'file',
  );
  $export['collection_full'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'collection_preview';
  $ds_view_mode->label = 'Collection preview';
  $ds_view_mode->entities = array(
    'file' => 'file',
  );
  $export['collection_preview'] = $ds_view_mode;

  return $export;
}
