<?php
/**
 * @file
 * sector_media_collection.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function sector_media_collection_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'sector_view_media_collection_content';
  $view->description = 'View used to display all media inside a collection';
  $view->tag = 'default';
  $view->base_table = 'file_managed';
  $view->human_name = 'Sector media collection content';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['link_display'] = 'page_1';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['pure_distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '0';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'entity';
  $handler->display->display_options['row_options']['view_mode'] = 'teaser';
  /* Relationship: File: Content using Collection media */
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['id'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['table'] = 'file_managed';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['field'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['required'] = TRUE;
  /* Field: File: Name */
  $handler->display->display_options['fields']['filename']['id'] = 'filename';
  $handler->display->display_options['fields']['filename']['table'] = 'file_managed';
  $handler->display->display_options['fields']['filename']['field'] = 'filename';
  $handler->display->display_options['fields']['filename']['label'] = '';
  $handler->display->display_options['fields']['filename']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['filename']['alter']['ellipsis'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';

  /* Display: Collection content in node */
  $handler = $view->new_display('block', 'Collection content in node', 'block');
  $handler->display->display_options['link_url'] = '/media/%';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '9';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['tags']['first'] = 'first';
  $handler->display->display_options['pager']['options']['tags']['previous'] = 'previous';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'next';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'last';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['row_class'] = 'responsive-layout__item slat slat--tile has-margin-top-base';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'list-unstyled has-no-margin';
  $handler->display->display_options['style_options']['wrapper_class'] = 'responsive-layout--d3';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: File: Content using Collection media */
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['id'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['table'] = 'file_managed';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['field'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['required'] = TRUE;
  /* Relationship: Field: Copyright license (field_copyright_license) */
  $handler->display->display_options['relationships']['field_copyright_license_tid']['id'] = 'field_copyright_license_tid';
  $handler->display->display_options['relationships']['field_copyright_license_tid']['table'] = 'field_data_field_copyright_license';
  $handler->display->display_options['relationships']['field_copyright_license_tid']['field'] = 'field_copyright_license_tid';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['exclude'] = TRUE;
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '0';
  $handler->display->display_options['fields']['counter']['reverse'] = 0;
  /* Field: File: Rendered */
  $handler->display->display_options['fields']['rendered']['id'] = 'rendered';
  $handler->display->display_options['fields']['rendered']['table'] = 'file_managed';
  $handler->display->display_options['fields']['rendered']['field'] = 'rendered';
  $handler->display->display_options['fields']['rendered']['label'] = '';
  $handler->display->display_options['fields']['rendered']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['rendered']['alter']['path'] = '/media-collections/[nid]/media?page=[counter]';
  $handler->display->display_options['fields']['rendered']['element_type'] = '0';
  $handler->display->display_options['fields']['rendered']['element_label_type'] = '0';
  $handler->display->display_options['fields']['rendered']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['rendered']['element_wrapper_type'] = 'div';
  $handler->display->display_options['fields']['rendered']['element_wrapper_class'] = 'gallery__media-wrapper text-center';
  $handler->display->display_options['fields']['rendered']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['rendered']['file_view_mode'] = 'collection_preview';
  /* Field: File: Title */
  $handler->display->display_options['fields']['field_title']['id'] = 'field_title';
  $handler->display->display_options['fields']['field_title']['table'] = 'field_data_field_title';
  $handler->display->display_options['fields']['field_title']['field'] = 'field_title';
  $handler->display->display_options['fields']['field_title']['label'] = '';
  $handler->display->display_options['fields']['field_title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_title']['alter']['path'] = '/media-collections/[nid]/media?page=[counter]';
  $handler->display->display_options['fields']['field_title']['element_type'] = 'h2';
  $handler->display->display_options['fields']['field_title']['element_class'] = 'h5 slat__title';
  $handler->display->display_options['fields']['field_title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_title']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_title']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_title']['settings'] = array(
    'field_formatter_filter' => '',
  );
  /* Field: Taxonomy term: Copyright link */
  $handler->display->display_options['fields']['field_copyright_link']['id'] = 'field_copyright_link';
  $handler->display->display_options['fields']['field_copyright_link']['table'] = 'field_data_field_copyright_link';
  $handler->display->display_options['fields']['field_copyright_link']['field'] = 'field_copyright_link';
  $handler->display->display_options['fields']['field_copyright_link']['relationship'] = 'field_copyright_license_tid';
  $handler->display->display_options['fields']['field_copyright_link']['label'] = '';
  $handler->display->display_options['fields']['field_copyright_link']['element_type'] = 'div';
  $handler->display->display_options['fields']['field_copyright_link']['element_class'] = 'slat__term inline-block';
  $handler->display->display_options['fields']['field_copyright_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_copyright_link']['click_sort_column'] = 'url';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Taxonomy term: Copyright link (field_copyright_link:title) */
  $handler->display->display_options['arguments']['field_copyright_link_title']['id'] = 'field_copyright_link_title';
  $handler->display->display_options['arguments']['field_copyright_link_title']['table'] = 'field_data_field_copyright_link';
  $handler->display->display_options['arguments']['field_copyright_link_title']['field'] = 'field_copyright_link_title';
  $handler->display->display_options['arguments']['field_copyright_link_title']['relationship'] = 'field_copyright_license_tid';
  $handler->display->display_options['arguments']['field_copyright_link_title']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_copyright_link_title']['summary']['format'] = 'default_summary';
  /* Contextual filter: Taxonomy term: Copyright link (field_copyright_link:url) */
  $handler->display->display_options['arguments']['field_copyright_link_url']['id'] = 'field_copyright_link_url';
  $handler->display->display_options['arguments']['field_copyright_link_url']['table'] = 'field_data_field_copyright_link';
  $handler->display->display_options['arguments']['field_copyright_link_url']['field'] = 'field_copyright_link_url';
  $handler->display->display_options['arguments']['field_copyright_link_url']['relationship'] = 'field_copyright_license_tid';
  $handler->display->display_options['arguments']['field_copyright_link_url']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_copyright_link_url']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_copyright_link_url']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_copyright_link_url']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_copyright_link_url']['limit'] = '0';

  /* Display: Collection content in node (Points to carousel block) */
  $handler = $view->new_display('block', 'Collection content in node (Points to carousel block)', 'block_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['link_url'] = '/media/%';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '9';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['tags']['first'] = 'first';
  $handler->display->display_options['pager']['options']['tags']['previous'] = 'previous';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'next';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'last';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['row_class'] = 'responsive-layout__item slat slat--tile has-margin-top-base js-toggle-carousel toggle-carousel';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'list-unstyled has-no-margin';
  $handler->display->display_options['style_options']['wrapper_class'] = 'responsive-layout--d3';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: File: Content using Collection media */
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['id'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['table'] = 'file_managed';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['field'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['required'] = TRUE;
  /* Relationship: Field: Copyright license (field_copyright_license) */
  $handler->display->display_options['relationships']['field_copyright_license_tid']['id'] = 'field_copyright_license_tid';
  $handler->display->display_options['relationships']['field_copyright_license_tid']['table'] = 'field_data_field_copyright_license';
  $handler->display->display_options['relationships']['field_copyright_license_tid']['field'] = 'field_copyright_license_tid';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['exclude'] = TRUE;
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '0';
  $handler->display->display_options['fields']['counter']['reverse'] = 0;
  /* Field: File: Rendered */
  $handler->display->display_options['fields']['rendered']['id'] = 'rendered';
  $handler->display->display_options['fields']['rendered']['table'] = 'file_managed';
  $handler->display->display_options['fields']['rendered']['field'] = 'rendered';
  $handler->display->display_options['fields']['rendered']['label'] = '';
  $handler->display->display_options['fields']['rendered']['alter']['path'] = '/media-collections/[nid]/media?page=[counter]';
  $handler->display->display_options['fields']['rendered']['element_type'] = '0';
  $handler->display->display_options['fields']['rendered']['element_label_type'] = '0';
  $handler->display->display_options['fields']['rendered']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['rendered']['element_wrapper_type'] = 'div';
  $handler->display->display_options['fields']['rendered']['element_wrapper_class'] = 'gallery__media-wrapper text-center';
  $handler->display->display_options['fields']['rendered']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['rendered']['file_view_mode'] = 'collection_preview';
  /* Field: File: Title */
  $handler->display->display_options['fields']['field_title']['id'] = 'field_title';
  $handler->display->display_options['fields']['field_title']['table'] = 'field_data_field_title';
  $handler->display->display_options['fields']['field_title']['field'] = 'field_title';
  $handler->display->display_options['fields']['field_title']['label'] = '';
  $handler->display->display_options['fields']['field_title']['alter']['path'] = '/media-collections/[nid]/media?page=[counter]';
  $handler->display->display_options['fields']['field_title']['element_type'] = 'h2';
  $handler->display->display_options['fields']['field_title']['element_class'] = 'h5 slat__title';
  $handler->display->display_options['fields']['field_title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_title']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_title']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_title']['settings'] = array(
    'field_formatter_filter' => '',
  );
  /* Field: Taxonomy term: Copyright link */
  $handler->display->display_options['fields']['field_copyright_link']['id'] = 'field_copyright_link';
  $handler->display->display_options['fields']['field_copyright_link']['table'] = 'field_data_field_copyright_link';
  $handler->display->display_options['fields']['field_copyright_link']['field'] = 'field_copyright_link';
  $handler->display->display_options['fields']['field_copyright_link']['relationship'] = 'field_copyright_license_tid';
  $handler->display->display_options['fields']['field_copyright_link']['label'] = '';
  $handler->display->display_options['fields']['field_copyright_link']['element_type'] = 'div';
  $handler->display->display_options['fields']['field_copyright_link']['element_class'] = 'slat__term inline-block';
  $handler->display->display_options['fields']['field_copyright_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_copyright_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['field_copyright_link']['type'] = 'link_title_plain';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Taxonomy term: Copyright link (field_copyright_link:title) */
  $handler->display->display_options['arguments']['field_copyright_link_title']['id'] = 'field_copyright_link_title';
  $handler->display->display_options['arguments']['field_copyright_link_title']['table'] = 'field_data_field_copyright_link';
  $handler->display->display_options['arguments']['field_copyright_link_title']['field'] = 'field_copyright_link_title';
  $handler->display->display_options['arguments']['field_copyright_link_title']['relationship'] = 'field_copyright_license_tid';
  $handler->display->display_options['arguments']['field_copyright_link_title']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_copyright_link_title']['summary']['format'] = 'default_summary';
  /* Contextual filter: Taxonomy term: Copyright link (field_copyright_link:url) */
  $handler->display->display_options['arguments']['field_copyright_link_url']['id'] = 'field_copyright_link_url';
  $handler->display->display_options['arguments']['field_copyright_link_url']['table'] = 'field_data_field_copyright_link';
  $handler->display->display_options['arguments']['field_copyright_link_url']['field'] = 'field_copyright_link_url';
  $handler->display->display_options['arguments']['field_copyright_link_url']['relationship'] = 'field_copyright_license_tid';
  $handler->display->display_options['arguments']['field_copyright_link_url']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_copyright_link_url']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_copyright_link_url']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_copyright_link_url']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_copyright_link_url']['limit'] = '0';

  /* Display: Collection content single paged */
  $handler = $view->new_display('block', 'Collection content single paged', 'block_1');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '0';
  $handler->display->display_options['pager']['options']['offset'] = '0';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['enabled'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['path'] = 'media-collections/%/media';
  $export['sector_view_media_collection_content'] = $view;

  $view = new view();
  $view->name = 'sector_view_media_collection_listing';
  $view->description = 'Basic media collection view including latest collections and collection archives';
  $view->tag = 'Sector';
  $view->base_table = 'node';
  $view->human_name = 'Sector media collection listing';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Sector media collection';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '2';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'node';
  /* Footer: Global: Text area */
  $handler->display->display_options['footer']['area']['id'] = 'area';
  $handler->display->display_options['footer']['area']['table'] = 'views';
  $handler->display->display_options['footer']['area']['field'] = 'area';
  $handler->display->display_options['footer']['area']['content'] = '<a href="/news" title="View all news">View all news</a>';
  $handler->display->display_options['footer']['area']['format'] = 'full_html';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Issue date (field_issue_date) */
  $handler->display->display_options['sorts']['field_issue_date_value']['id'] = 'field_issue_date_value';
  $handler->display->display_options['sorts']['field_issue_date_value']['table'] = 'field_data_field_issue_date';
  $handler->display->display_options['sorts']['field_issue_date_value']['field'] = 'field_issue_date_value';
  $handler->display->display_options['sorts']['field_issue_date_value']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'media_collection' => 'media_collection',
  );
  /* Filter criterion: Content: Issue date (field_issue_date) */
  $handler->display->display_options['filters']['field_issue_date_value']['id'] = 'field_issue_date_value';
  $handler->display->display_options['filters']['field_issue_date_value']['table'] = 'field_data_field_issue_date';
  $handler->display->display_options['filters']['field_issue_date_value']['field'] = 'field_issue_date_value';
  $handler->display->display_options['filters']['field_issue_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_issue_date_value']['expose']['operator_id'] = 'field_issue_date_value_op';
  $handler->display->display_options['filters']['field_issue_date_value']['expose']['label'] = 'Filter by year of issue';
  $handler->display->display_options['filters']['field_issue_date_value']['expose']['operator'] = 'field_issue_date_value_op';
  $handler->display->display_options['filters']['field_issue_date_value']['expose']['identifier'] = 'field_issue_date_value';
  $handler->display->display_options['filters']['field_issue_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
  );
  $handler->display->display_options['filters']['field_issue_date_value']['granularity'] = 'year';
  $handler->display->display_options['filters']['field_issue_date_value']['year_range'] = '-3:+0';
  /* Filter criterion: Content: Media collection type (field_media_collection_type) */
  $handler->display->display_options['filters']['field_media_collection_type_tid']['id'] = 'field_media_collection_type_tid';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['table'] = 'field_data_field_media_collection_type';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['field'] = 'field_media_collection_type_tid';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_media_collection_type_tid']['expose']['operator_id'] = 'field_media_collection_type_tid_op';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['expose']['label'] = 'Media collection type';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['expose']['operator'] = 'field_media_collection_type_tid_op';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['expose']['identifier'] = 'field_media_collection_type_tid';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
  );
  $handler->display->display_options['filters']['field_media_collection_type_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_media_collection_type_tid']['vocabulary'] = 'media_collection_types';

  /* Display: Teaser (Block) */
  $handler = $view->new_display('block', 'Teaser (Block)', 'block');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'content-listing';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'mini';
  $handler->display->display_options['pager']['options']['items_per_page'] = '2';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['tags']['previous'] = 'Previous';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'Next';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'media_collection' => 'media_collection',
  );

  /* Display: Short Teaser (Block) */
  $handler = $view->new_display('block', 'Short Teaser (Block)', 'block_1');
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'View all news';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '6';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['row_options']['view_mode'] = 'short_teaser';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'media_collection' => 'media_collection',
  );

  /* Display: Filtered View (Page) */
  $handler = $view->new_display('page', 'Filtered View (Page)', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Media collections';
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'Read more';
  $handler->display->display_options['defaults']['exposed_form'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Filter collections';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Show all';
  $handler->display->display_options['exposed_form']['options']['autosubmit_hide'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '7';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['tags']['first'] = 'First';
  $handler->display->display_options['pager']['options']['tags']['previous'] = 'Previous';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'Next';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'Last';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['row_class'] = 'responsive-layout__item';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'list-unstyled';
  $handler->display->display_options['style_options']['wrapper_class'] = 'responsive-layout--d3';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Introduction text';
  $handler->display->display_options['header']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['header']['area_text_custom']['content'] = '<p class="lead">This is a \'View page\'. All elements of this page are managed via the view.</p>
<p> For example this text is added via a "Global view filed using unfiltered text.</p>
';
  $handler->display->display_options['defaults']['footer'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['label'] = 'No results message';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = '<div class="alert alert-info" role="alert">Your search did not match any documents. Change your selection or try the <a href="/search">search</a>.</div>';
  $handler->display->display_options['empty']['area_text_custom']['tokenize'] = TRUE;
  $handler->display->display_options['path'] = 'media-collections/archive';
  $export['sector_view_media_collection_listing'] = $view;

  $view = new view();
  $view->name = 'sector_view_media_collection_single_item';
  $view->description = 'View used to display a single media item inside a collection';
  $view->tag = 'default';
  $view->base_table = 'file_managed';
  $view->human_name = 'Sector media collection single item';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Sector media collection single item';
  $handler->display->display_options['css_class'] = 'gallery gallery--carousel';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_bootstrap_carousel_plugin_style';
  $handler->display->display_options['row_plugin'] = 'file';
  $handler->display->display_options['row_options']['view_mode'] = 'collection_full';
  $handler->display->display_options['row_options']['links'] = 1;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = '<a class="action action--back" href = "/node/!1">Back to collection</a>';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['header']['area']['tokenize'] = TRUE;
  /* Relationship: File: Content using Collection media */
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['id'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['table'] = 'file_managed';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['field'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['relationships']['reverse_field_media_collection_node']['required'] = TRUE;
  /* Field: File: File ID */
  $handler->display->display_options['fields']['fid']['id'] = 'fid';
  $handler->display->display_options['fields']['fid']['table'] = 'file_managed';
  $handler->display->display_options['fields']['fid']['field'] = 'fid';
  $handler->display->display_options['fields']['fid']['exclude'] = TRUE;
  /* Field: File: Name */
  $handler->display->display_options['fields']['filename']['id'] = 'filename';
  $handler->display->display_options['fields']['filename']['table'] = 'file_managed';
  $handler->display->display_options['fields']['filename']['field'] = 'filename';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published or admin */
  $handler->display->display_options['filters']['status_extra']['id'] = 'status_extra';
  $handler->display->display_options['filters']['status_extra']['table'] = 'node';
  $handler->display->display_options['filters']['status_extra']['field'] = 'status_extra';
  $handler->display->display_options['filters']['status_extra']['relationship'] = 'reverse_field_media_collection_node';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = '%1';
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'gallery';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'mini';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['tags']['previous'] = 'Previous';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'Next';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'list-unstyled has-no-margin';
  $handler->display->display_options['style_options']['wrapper_class'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'file';
  $handler->display->display_options['row_options']['view_mode'] = 'collection_full';
  $handler->display->display_options['row_options']['links'] = 1;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_field_media_collection_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['access'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['fail'] = 'access denied';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $handler->display->display_options['path'] = 'media-collections/%/media';

  /* Display: Carousel */
  $handler = $view->new_display('block', 'Carousel', 'sector_view_media_collection_single_item_carousel');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'views_bootstrap_carousel_plugin_style';
  $handler->display->display_options['style_options']['interval'] = '0';
  $handler->display->display_options['style_options']['navigation'] = 1;
  $handler->display->display_options['style_options']['indicators'] = 0;
  $handler->display->display_options['style_options']['pause'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'file';
  $handler->display->display_options['row_options']['view_mode'] = 'collection_carousel';
  $handler->display->display_options['row_options']['links'] = 1;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = '<button class="action action--close js-close-carousel">Back to collection</a>
<button class="action action--information js-toggle-caption">Show caption</button>';
  $handler->display->display_options['header']['area']['format'] = 'full_html';
  $handler->display->display_options['header']['area']['tokenize'] = TRUE;
  $export['sector_view_media_collection_single_item'] = $view;

  return $export;
}
