<?php
/**
 * @file
 * sector_page.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function sector_page_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'default_node_elements';
  $context->description = '';
  $context->tag = 'default';
  $context->conditions = array(
    'default' => array(
      'values' => array(
        'context_condition_default' => 'context_condition_default',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'crumbs-breadcrumb' => array(
          'module' => 'crumbs',
          'delta' => 'breadcrumb',
          'region' => 'hero',
          'weight' => '-10',
        ),
        'sector_blocks-sector_page_title' => array(
          'module' => 'sector_blocks',
          'delta' => 'sector_page_title',
          'region' => 'pre_content',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('default');
  $export['default_node_elements'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'hide_sidebar';
  $context->description = '';
  $context->tag = 'Content settings';
  $context->conditions = array(
    'node_taxonomy' => array(
      'options' => array(
        'node_form' => '1',
      ),
      'values' => array(
        185 => 185,
      ),
    ),
  );
  $context->reactions = array(
    'region' => array(
      'sector_starter' => array(
        'disable' => array(
          'sidebar' => 'sidebar',
          'pre_header' => 0,
          'header' => 0,
          'post_header' => 0,
          'pre_hero' => 0,
          'hero' => 0,
          'post_hero' => 0,
          'help' => 0,
          'pre_content' => 0,
          'content' => 0,
          'post_content' => 0,
          'pre_footer' => 0,
          'footer' => 0,
          'post_footer' => 0,
        ),
      ),
      'shiny' => array(
        'disable' => array(
          'content' => 0,
          'help' => 0,
          'page_top' => 0,
          'page_bottom' => 0,
          'sidebar_first' => 0,
          'footer' => 0,
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Page content settings');
  $export['hide_sidebar'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'home_page';
  $context->description = '';
  $context->tag = 'Page variants';
  $context->conditions = array(
    'node_taxonomy' => array(
      'options' => array(
        'node_form' => '0',
      ),
      'values' => array(
        187 => 187,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'sector_blocks-sector_page_title' => array(
          'module' => 'sector_blocks',
          'delta' => 'sector_page_title',
          'region' => 'hero',
          'weight' => '-10',
        ),
        'cck_blocks-field_subtitle' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_subtitle',
          'region' => 'hero',
          'weight' => '-9',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Layout');
  $export['home_page'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'last_updated';
  $context->description = '';
  $context->tag = 'Content settings';
  $context->conditions = array(
    'node_taxonomy' => array(
      'options' => array(
        'node_form' => '1',
      ),
      'values' => array(
        188 => 188,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'cck_blocks-field_last_update_date' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_last_update_date',
          'region' => 'post_content',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Page content settings');
  $export['last_updated'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'menu_child_page_listing';
  $context->description = '';
  $context->tag = 'Content settings';
  $context->conditions = array(
    'node_taxonomy' => array(
      'options' => array(
        'node_form' => '0',
      ),
      'values' => array(
        184 => 184,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-0f228309cecb27808059b4df2e29d41e' => array(
          'module' => 'views',
          'delta' => '0f228309cecb27808059b4df2e29d41e',
          'region' => 'content',
          'weight' => '30',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Page content settings');
  $export['menu_child_page_listing'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'section_entry_page';
  $context->description = '';
  $context->tag = 'Page variants';
  $context->conditions = array(
    'node_taxonomy' => array(
      'options' => array(
        'node_form' => '0',
      ),
      'values' => array(
        190 => 190,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'crumbs-breadcrumb' => array(
          'module' => 'crumbs',
          'delta' => 'breadcrumb',
          'region' => 'hero',
          'weight' => '-10',
        ),
        'sector_blocks-sector_page_title' => array(
          'module' => 'sector_blocks',
          'delta' => 'sector_page_title',
          'region' => 'hero',
          'weight' => '-9',
        ),
        'cck_blocks-field_subtitle' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_subtitle',
          'region' => 'hero',
          'weight' => '-8',
        ),
        'menu_block-3' => array(
          'module' => 'menu_block',
          'delta' => '3',
          'region' => 'sidebar',
          'weight' => '-48',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Layout');
  $export['section_entry_page'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'social_share_widget';
  $context->description = '';
  $context->tag = 'Content settings';
  $context->conditions = array(
    'node_taxonomy' => array(
      'options' => array(
        'node_form' => '1',
      ),
      'values' => array(
        186 => 186,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'social_share-social_share' => array(
          'module' => 'social_share',
          'delta' => 'social_share',
          'region' => 'post_content',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Page content settings');
  $export['social_share_widget'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'standard_page';
  $context->description = '';
  $context->tag = 'Page variants';
  $context->conditions = array(
    'node_taxonomy' => array(
      'options' => array(
        'node_form' => '0',
      ),
      'values' => array(
        189 => 189,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'crumbs-breadcrumb' => array(
          'module' => 'crumbs',
          'delta' => 'breadcrumb',
          'region' => 'hero',
          'weight' => '-10',
        ),
        'sector_blocks-sector_page_title' => array(
          'module' => 'sector_blocks',
          'delta' => 'sector_page_title',
          'region' => 'pre_content',
          'weight' => '-10',
        ),
        'menu_block-3' => array(
          'module' => 'menu_block',
          'delta' => '3',
          'region' => 'sidebar',
          'weight' => '-47',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Layout');
  $export['standard_page'] = $context;

  return $export;
}
