<?php
/**
 * @file
 * sector_page.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function sector_page_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'sector_view_sub_menu_pages';
  $view->description = 'View to list pages based on their position in the menu. Used by the \'Show teaser list of submenu items\' context. ';
  $view->tag = 'Sector';
  $view->base_table = 'node';
  $view->human_name = 'Sector sub menu pages';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'In this section';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'list-unstyled';
  $handler->display->display_options['style_options']['wrapper_class'] = '';
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['row_options']['view_mode'] = 'teaser_alternate';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing_1']['id'] = 'nothing_1';
  $handler->display->display_options['fields']['nothing_1']['table'] = 'views';
  $handler->display->display_options['fields']['nothing_1']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing_1']['label'] = '';
  $handler->display->display_options['fields']['nothing_1']['alter']['text'] = '<div>';
  $handler->display->display_options['fields']['nothing_1']['element_label_colon'] = FALSE;
  /* Field: Menu: Link title */
  $handler->display->display_options['fields']['link_title']['id'] = 'link_title';
  $handler->display->display_options['fields']['link_title']['table'] = 'menu_links';
  $handler->display->display_options['fields']['link_title']['field'] = 'link_title';
  $handler->display->display_options['fields']['link_title']['label'] = '';
  $handler->display->display_options['fields']['link_title']['element_type'] = 'h5';
  $handler->display->display_options['fields']['link_title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['link_title']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['link_title']['link_to_item'] = 1;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['exclude'] = TRUE;
  $handler->display->display_options['fields']['body']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['body']['element_type'] = 'p';
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['body']['type'] = 'text_summary_or_trimmed';
  $handler->display->display_options['fields']['body']['settings'] = array(
    'trim_length' => '300',
    'field_formatter_filter' => '',
  );
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<p>[body]</p>';
  $handler->display->display_options['fields']['nothing']['alter']['max_length'] = '100';
  $handler->display->display_options['fields']['nothing']['alter']['trim'] = TRUE;
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing_2']['id'] = 'nothing_2';
  $handler->display->display_options['fields']['nothing_2']['table'] = 'views';
  $handler->display->display_options['fields']['nothing_2']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing_2']['label'] = '';
  $handler->display->display_options['fields']['nothing_2']['alter']['text'] = '</div>';
  $handler->display->display_options['fields']['nothing_2']['element_label_colon'] = FALSE;
  /* Sort criterion: Menu: Weight */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'menu_links';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  /* Sort criterion: Menu: Link title */
  $handler->display->display_options['sorts']['link_title']['id'] = 'link_title';
  $handler->display->display_options['sorts']['link_title']['table'] = 'menu_links';
  $handler->display->display_options['sorts']['link_title']['field'] = 'link_title';
  /* Contextual filter: Menu: Parent menu link id */
  $handler->display->display_options['arguments']['plid']['id'] = 'plid';
  $handler->display->display_options['arguments']['plid']['table'] = 'menu_links';
  $handler->display->display_options['arguments']['plid']['field'] = 'plid';
  $handler->display->display_options['arguments']['plid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['plid']['default_argument_type'] = 'php';
  $handler->display->display_options['arguments']['plid']['default_argument_options']['code'] = '$node = menu_get_object();
if($node){
$menu_item = !empty($node->menu_node_links) ? array_shift($node->menu_node_links) : NULL;
$mlid = !is_null($menu_item) ? $menu_item->mlid : NULL;
return $mlid;
}
return FALSE;';
  $handler->display->display_options['arguments']['plid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['plid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['plid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';

  /* Display: Page teaser */
  $handler = $view->new_display('block', 'Page teaser', 'block');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $export['sector_view_sub_menu_pages'] = $view;

  return $export;
}
