<?php
/**
 * @file
 * sector_person_contact.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function sector_person_contact_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|contact|default';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'contact';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'body' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'prose',
        ),
      ),
    ),
    'field_contact_location' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'lb-col' => TRUE,
        ),
      ),
    ),
    'field_first_name' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'inline-block',
        ),
      ),
    ),
    'field_last_name' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'inline-block',
        ),
      ),
    ),
    'field_title_postfix' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'inline-block',
        ),
      ),
    ),
    'field_title_prefix' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'inline-block',
        ),
      ),
    ),
  );
  $export['node|contact|default'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function sector_person_contact_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|contact|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'contact';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'group_meta',
        1 => 'body',
        2 => 'group_location_wrapper',
        3 => 'field_contact_location',
        4 => 'group_meta_featured',
        5 => 'field_department',
        6 => 'field_position',
        7 => 'field_email',
        8 => 'field_phone',
        9 => 'field_title_prefix',
        10 => 'field_first_name',
        11 => 'field_last_name',
        12 => 'field_title_postfix',
      ),
    ),
    'fields' => array(
      'group_meta' => 'ds_content',
      'body' => 'ds_content',
      'group_location_wrapper' => 'ds_content',
      'field_contact_location' => 'ds_content',
      'group_meta_featured' => 'ds_content',
      'field_department' => 'ds_content',
      'field_position' => 'ds_content',
      'field_email' => 'ds_content',
      'field_phone' => 'ds_content',
      'field_title_prefix' => 'ds_content',
      'field_first_name' => 'ds_content',
      'field_last_name' => 'ds_content',
      'field_title_postfix' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|contact|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|contact|teaser';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'contact';
  $ds_layout->view_mode = 'teaser';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'group_name',
        1 => 'field_first_name',
        2 => 'field_last_name',
        3 => 'field_email',
        4 => 'field_phone',
      ),
    ),
    'fields' => array(
      'group_name' => 'ds_content',
      'field_first_name' => 'ds_content',
      'field_last_name' => 'ds_content',
      'field_email' => 'ds_content',
      'field_phone' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|contact|teaser'] = $ds_layout;

  return $export;
}
