<?php
/**
 * @file
 * sector_resource_multipage.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function sector_resource_multipage_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'resource_multipage_paged';
  $context->description = '';
  $context->tag = 'Node type';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'resource_multipage_paged' => 'resource_multipage_paged',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'crumbs-breadcrumb' => array(
          'module' => 'crumbs',
          'delta' => 'breadcrumb',
          'region' => 'hero',
          'weight' => '-10',
        ),
        'cck_blocks-field_resource_cover' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_resource_cover',
          'region' => 'post_hero',
          'weight' => '-10',
        ),
        'cck_blocks-field_resource_type' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_resource_type',
          'region' => 'pre_content',
          'weight' => '-10',
        ),
        'sector_blocks-sector_page_title' => array(
          'module' => 'sector_blocks',
          'delta' => 'sector_page_title',
          'region' => 'pre_content',
          'weight' => '-9',
        ),
        'cck_blocks-field_issue_date' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_issue_date',
          'region' => 'pre_content',
          'weight' => '-8',
        ),
        'cck_blocks-field_version_statement' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_version_statement',
          'region' => 'pre_content',
          'weight' => '-7',
        ),
        'ds_extras-copyright_link' => array(
          'module' => 'ds_extras',
          'delta' => 'copyright_link',
          'region' => 'pre_content',
          'weight' => '-6',
        ),
        'sector_resource_multipage-jump_to_table_of_contents' => array(
          'module' => 'sector_resource_multipage',
          'delta' => 'jump_to_table_of_contents',
          'region' => 'pre_content',
          'weight' => '-5',
        ),
        'sector_resource_multipage-custom_pager' => array(
          'module' => 'sector_resource_multipage',
          'delta' => 'custom_pager',
          'region' => 'content',
          'weight' => '-10',
        ),
        'sector_resource_multipage-multipage_in_page_navigation' => array(
          'module' => 'sector_resource_multipage',
          'delta' => 'multipage_in_page_navigation',
          'region' => 'sidebar',
          'weight' => '-10',
        ),
        'sector_resource_multipage-multipage_actions' => array(
          'module' => 'sector_resource_multipage',
          'delta' => 'multipage_actions',
          'region' => 'sidebar',
          'weight' => '-9',
        ),
        'cck_blocks-field_last_update_date' => array(
          'module' => 'cck_blocks',
          'delta' => 'field_last_update_date',
          'region' => 'post_content',
          'weight' => '-46',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Node type');
  $export['resource_multipage_paged'] = $context;

  return $export;
}
