<?php
/**
 * @file
 * sector_resource_multipage.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function sector_resource_multipage_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|resource_multipage_paged|cck_blocks';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'resource_multipage_paged';
  $ds_fieldsetting->view_mode = 'cck_blocks';
  $ds_fieldsetting->settings = array(
    'field_resource_cover' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_reset',
          'classes' => 'prose',
        ),
      ),
    ),
    'field_copyright_license' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'node__date',
        ),
      ),
    ),
    'field_issue_date' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'node__date',
        ),
      ),
    ),
    'field_last_update_date' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'has-margin-top-base',
        ),
      ),
    ),
    'field_resource_type' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'node__term',
        ),
      ),
    ),
    'field_version_statement' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'node__date',
        ),
      ),
    ),
  );
  $export['node|resource_multipage_paged|cck_blocks'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|resource_multipage_paged|default';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'resource_multipage_paged';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'body' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'prose',
        ),
      ),
    ),
  );
  $export['node|resource_multipage_paged|default'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|resource_multipage_paged|full';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'resource_multipage_paged';
  $ds_fieldsetting->view_mode = 'full';
  $ds_fieldsetting->settings = array(
    'copyright_link' => array(
      'weight' => '0',
      'label' => 'inline',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'lb' => 'Copyright',
        ),
      ),
    ),
  );
  $export['node|resource_multipage_paged|full'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function sector_resource_multipage_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|resource_multipage_paged|cck_blocks';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'resource_multipage_paged';
  $ds_layout->view_mode = 'cck_blocks';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'field_resource_type',
        1 => 'field_issue_date',
        2 => 'field_resource_cover',
        3 => 'field_last_update_date',
        4 => 'field_version_statement',
        5 => 'field_copyright_license',
      ),
    ),
    'fields' => array(
      'field_resource_type' => 'ds_content',
      'field_issue_date' => 'ds_content',
      'field_resource_cover' => 'ds_content',
      'field_last_update_date' => 'ds_content',
      'field_version_statement' => 'ds_content',
      'field_copyright_license' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|resource_multipage_paged|cck_blocks'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|resource_multipage_paged|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'resource_multipage_paged';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'body',
      ),
    ),
    'fields' => array(
      'body' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['node|resource_multipage_paged|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|resource_multipage_paged|full';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'resource_multipage_paged';
  $ds_layout->view_mode = 'full';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'body',
      ),
      'copyright_link' => array(
        1 => 'copyright_link',
        2 => 'group_link',
      ),
    ),
    'fields' => array(
      'body' => 'ds_content',
      'copyright_link' => 'copyright_link',
      'group_link' => 'copyright_link',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['node|resource_multipage_paged|full'] = $ds_layout;

  return $export;
}
