<?php
/**
 * @file
 * sector_media_audio.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function sector_media_audio_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|audio|default';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'audio';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'file_copyright_link' => array(
      'weight' => '0',
      'label' => 'inline',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'lb' => 'Copyright',
        ),
      ),
    ),
    'field_credit_text' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'has-margin-top-half small text-right',
        ),
      ),
    ),
    'field_date_taken' => array(
      'formatter_settings' => array(
        'ft' => array(
          'lb' => 'Date recorded',
        ),
      ),
    ),
    'field_description' => array(
      'formatter_settings' => array(
        'ft' => array(
          'classes' => 'has-margin-top-base',
        ),
      ),
    ),
  );
  $export['file|audio|default'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|audio|wysiwyg';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'audio';
  $ds_fieldsetting->view_mode = 'wysiwyg';
  $ds_fieldsetting->settings = array(
    'field_credit_text' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'has-margin-top-half small text-right',
        ),
      ),
    ),
  );
  $export['file|audio|wysiwyg'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function sector_media_audio_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|audio|default';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'audio';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'group_audio_wrapper',
        1 => 'file_copyright_link',
        2 => 'file',
        3 => 'field_credit_text',
        4 => 'field_description',
        5 => 'group_meta',
        6 => 'group_transcript_wrapper',
        7 => 'field_text_alternative',
        8 => 'field_tags',
        9 => 'field_date_taken',
        10 => 'group_link',
      ),
    ),
    'fields' => array(
      'group_audio_wrapper' => 'ds_content',
      'file_copyright_link' => 'ds_content',
      'file' => 'ds_content',
      'field_credit_text' => 'ds_content',
      'field_description' => 'ds_content',
      'group_meta' => 'ds_content',
      'group_transcript_wrapper' => 'ds_content',
      'field_text_alternative' => 'ds_content',
      'field_tags' => 'ds_content',
      'field_date_taken' => 'ds_content',
      'group_link' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        '' => '',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['file|audio|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|audio|wysiwyg';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'audio';
  $ds_layout->view_mode = 'wysiwyg';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'group_audio_wrapper',
        1 => 'file',
        2 => 'field_text_alternative',
        3 => 'field_credit_text',
        4 => 'group_transcript_wrapper',
      ),
    ),
    'fields' => array(
      'group_audio_wrapper' => 'ds_content',
      'file' => 'ds_content',
      'field_text_alternative' => 'ds_content',
      'field_credit_text' => 'ds_content',
      'group_transcript_wrapper' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        'slat' => 'slat',
        'slat--has-border-top-large' => 'slat--has-border-top-large',
        'slat--has-background-colour' => 'slat--has-background-colour',
        'has-margin-top-double' => 'has-margin-top-double',
        'has-padding-top-base' => 'has-padding-top-base',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['file|audio|wysiwyg'] = $ds_layout;

  return $export;
}
