<?php
/**
 * @file
 * sector_media_document.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function sector_media_document_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|document|default';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'document';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'file_copyright_link' => array(
      'weight' => '0',
      'label' => 'inline',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'lb' => 'Copyright',
        ),
      ),
    ),
    'file_extension' => array(
      'weight' => '3',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
    'file_size' => array(
      'weight' => '4',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
    'field_credit_text' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'small',
        ),
      ),
    ),
  );
  $export['file|document|default'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|document|short_teaser';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'document';
  $ds_fieldsetting->view_mode = 'short_teaser';
  $ds_fieldsetting->settings = array(
    'file_extension' => array(
      'weight' => '0',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
    'file_size' => array(
      'weight' => '1',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
  );
  $export['file|document|short_teaser'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|document|teaser';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'document';
  $ds_fieldsetting->view_mode = 'teaser';
  $ds_fieldsetting->settings = array(
    'file_extension' => array(
      'weight' => '2',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
    'file_size' => array(
      'weight' => '3',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
    'field_credit_text' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'small',
        ),
      ),
    ),
  );
  $export['file|document|teaser'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'file|document|wysiwyg';
  $ds_fieldsetting->entity_type = 'file';
  $ds_fieldsetting->bundle = 'document';
  $ds_fieldsetting->view_mode = 'wysiwyg';
  $ds_fieldsetting->settings = array(
    'file_extension' => array(
      'weight' => '3',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
    'file_size' => array(
      'weight' => '4',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'inline-block',
        ),
      ),
    ),
    'field_credit_text' => array(
      'formatter_settings' => array(
        'ft' => array(
          'func' => 'theme_ds_field_minimal',
          'classes' => 'small',
        ),
      ),
    ),
  );
  $export['file|document|wysiwyg'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function sector_media_document_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|document|default';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'document';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'file',
        1 => 'file_copyright_link',
        2 => 'group_meta_file',
        3 => 'field_credit_text',
        4 => 'field_description',
        5 => 'file_extension',
        6 => 'group_meta',
        7 => 'file_size',
        8 => 'group_link',
        9 => 'field_copyright_license',
        10 => 'field_tags',
      ),
    ),
    'fields' => array(
      'file' => 'ds_content',
      'file_copyright_link' => 'ds_content',
      'group_meta_file' => 'ds_content',
      'field_credit_text' => 'ds_content',
      'field_description' => 'ds_content',
      'file_extension' => 'ds_content',
      'group_meta' => 'ds_content',
      'file_size' => 'ds_content',
      'group_link' => 'ds_content',
      'field_copyright_license' => 'ds_content',
      'field_tags' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        'slat' => 'slat',
        'slat--has-border-top' => 'slat--has-border-top',
        'has-margin-top-half' => 'has-margin-top-half',
        'has-padding-top-base' => 'has-padding-top-base',
        'file--has-background-icon' => 'file--has-background-icon',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => FALSE,
  );
  $export['file|document|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|document|short_teaser';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'document';
  $ds_layout->view_mode = 'short_teaser';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'file_extension',
        1 => 'file_size',
        2 => 'file',
        3 => 'group_meta',
      ),
    ),
    'fields' => array(
      'file_extension' => 'ds_content',
      'file_size' => 'ds_content',
      'file' => 'ds_content',
      'group_meta' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        'file--has-background-icon' => 'file--has-background-icon',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['file|document|short_teaser'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|document|teaser';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'document';
  $ds_layout->view_mode = 'teaser';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'file',
        1 => 'group_meta',
        2 => 'file_extension',
        3 => 'field_credit_text',
        4 => 'file_size',
      ),
    ),
    'fields' => array(
      'file' => 'ds_content',
      'group_meta' => 'ds_content',
      'file_extension' => 'ds_content',
      'field_credit_text' => 'ds_content',
      'file_size' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        'slat' => 'slat',
        'slat--has-border-top' => 'slat--has-border-top',
        'has-padding-top-half' => 'has-padding-top-half',
        'file--has-background-icon' => 'file--has-background-icon',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['file|document|teaser'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'file|document|wysiwyg';
  $ds_layout->entity_type = 'file';
  $ds_layout->bundle = 'document';
  $ds_layout->view_mode = 'wysiwyg';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'file',
        1 => 'group_meta',
        2 => 'file_extension',
        3 => 'field_credit_text',
        4 => 'file_size',
      ),
    ),
    'fields' => array(
      'file' => 'ds_content',
      'group_meta' => 'ds_content',
      'file_extension' => 'ds_content',
      'field_credit_text' => 'ds_content',
      'file_size' => 'ds_content',
    ),
    'classes' => array(
      'layout_class' => array(
        'slat' => 'slat',
        'slat--has-border-top-large' => 'slat--has-border-top-large',
        'slat--has-background-colour' => 'slat--has-background-colour',
        'has-margin-top-base' => 'has-margin-top-base',
        'has-padding-top-half' => 'has-padding-top-half',
        'file--has-background-icon' => 'file--has-background-icon',
      ),
    ),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['file|document|wysiwyg'] = $ds_layout;

  return $export;
}
