<?php
/**
 * @file
 * sector_media_document.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function sector_media_document_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_additional_fields|file|document|form';
  $field_group->group_name = 'group_additional_fields';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Additional meta data',
    'weight' => '5',
    'children' => array(
      0 => 'field_tags',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Additional meta data',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-additional-fields field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $field_groups['group_additional_fields|file|document|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_copyright|file|document|form';
  $field_group->group_name = 'group_copyright';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Copyright',
    'weight' => '4',
    'children' => array(
      0 => 'field_copyright_license',
      1 => 'field_credit_text',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Copyright',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-copyright field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $field_groups['group_copyright|file|document|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_link|file|document|default';
  $field_group->group_name = 'group_link';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'default';
  $field_group->parent_name = 'group_meta';
  $field_group->data = array(
    'label' => 'Link',
    'weight' => '10',
    'children' => array(
      0 => 'file_copyright_link',
    ),
    'format_type' => 'link',
    'format_settings' => array(
      'label' => 'Link',
      'instance_settings' => array(
        'link_to' => 'custom_url',
        'custom_url' => '[file:field-copyright-license:field-copyright-link:url]',
        'custom_url_normalize' => 0,
        'target' => 'default',
        'classes' => 'group-link field-group-link',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_link|file|document|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta_file|file|document|default';
  $field_group->group_name = 'group_meta_file';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta file',
    'weight' => '1',
    'children' => array(
      0 => 'file_extension',
      1 => 'file_size',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta file',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'file__meta',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta_file|file|document|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta|file|document|default';
  $field_group->group_name = 'group_meta';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta',
    'weight' => '4',
    'children' => array(
      0 => 'field_copyright_license',
      1 => 'field_tags',
      2 => 'group_link',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'meta call-to-action has-margin-top-base',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta|file|document|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta|file|document|short_teaser';
  $field_group->group_name = 'group_meta';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'short_teaser';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta',
    'weight' => '3',
    'children' => array(
      0 => 'file_extension',
      1 => 'file_size',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'file__meta inline-block',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta|file|document|short_teaser'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta|file|document|teaser';
  $field_group->group_name = 'group_meta';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'teaser';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta',
    'weight' => '1',
    'children' => array(
      0 => 'file_extension',
      1 => 'file_size',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'file__meta',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta|file|document|teaser'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta|file|document|wysiwyg';
  $field_group->group_name = 'group_meta';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'document';
  $field_group->mode = 'wysiwyg';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta',
    'weight' => '1',
    'children' => array(
      0 => 'file_extension',
      1 => 'file_size',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'file__meta',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta|file|document|wysiwyg'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Additional meta data');
  t('Copyright');
  t('Link');
  t('Meta');
  t('Meta file');

  return $field_groups;
}
