<?php
/**
 * @file
 * sector_media_image.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function sector_media_image_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_additional_fields|file|image|form';
  $field_group->group_name = 'group_additional_fields';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Additional meta data',
    'weight' => '5',
    'children' => array(
      0 => 'field_file_image_alt_text',
      1 => 'field_file_image_title_text',
      2 => 'field_file_image_longdesc_text',
      3 => 'field_date_taken',
      4 => 'field_location_text',
      5 => 'field_tags',
      6 => 'field_text_alternative',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Additional meta data',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-additional-fields field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $field_groups['group_additional_fields|file|image|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_copyright|file|image|form';
  $field_group->group_name = 'group_copyright';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Copyright',
    'weight' => '4',
    'children' => array(
      0 => 'field_credit_text',
      1 => 'field_copyright_license',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Copyright',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-copyright field-group-fieldset',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $field_groups['group_copyright|file|image|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_link|file|image|collection_full';
  $field_group->group_name = 'group_link';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'collection_full';
  $field_group->parent_name = 'group_meta';
  $field_group->data = array(
    'label' => 'Link',
    'weight' => '13',
    'children' => array(),
    'format_type' => 'link',
    'format_settings' => array(
      'label' => 'Link',
      'instance_settings' => array(
        'link_to' => 'custom_url',
        'custom_url' => '[file:field-copyright-license:field-copyright-link:url]',
        'custom_url_normalize' => 1,
        'target' => 'default',
        'classes' => 'group-link field-group-link',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_link|file|image|collection_full'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_link|file|image|default';
  $field_group->group_name = 'group_link';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'default';
  $field_group->parent_name = 'group_meta';
  $field_group->data = array(
    'label' => 'Link',
    'weight' => '18',
    'children' => array(
      0 => 'file_copyright_link',
    ),
    'format_type' => 'link',
    'format_settings' => array(
      'label' => 'Link',
      'instance_settings' => array(
        'link_to' => 'custom_url',
        'custom_url' => '[file:field-copyright-license:field-copyright-link:url]',
        'custom_url_normalize' => 1,
        'target' => 'default',
        'classes' => 'group-link field-group-link',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_link|file|image|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta|file|image|collection_full';
  $field_group->group_name = 'group_meta';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'collection_full';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta',
    'weight' => '2',
    'children' => array(
      0 => 'field_date_taken',
      1 => 'field_location_text',
      2 => 'field_tags',
      3 => 'group_link',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'meta call-to-action has-margin-top-base',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta|file|image|collection_full'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta|file|image|default';
  $field_group->group_name = 'group_meta';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta',
    'weight' => '3',
    'children' => array(
      0 => 'field_date_taken',
      1 => 'field_location_text',
      2 => 'field_tags',
      3 => 'group_link',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'meta call-to-action has-margin-top-base',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta|file|image|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_meta|file|image|short_teaser';
  $field_group->group_name = 'group_meta';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'short_teaser';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Meta',
    'weight' => '8',
    'children' => array(
      0 => 'file_extension',
      1 => 'file_size',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Meta',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'file__meta inline-block',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_meta|file|image|short_teaser'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_wrapper|file|image|collection_full';
  $field_group->group_name = 'group_wrapper';
  $field_group->entity_type = 'file';
  $field_group->bundle = 'image';
  $field_group->mode = 'collection_full';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Wrapper',
    'weight' => '0',
    'children' => array(
      0 => 'file',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Wrapper',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'gallery__media-wrapper text-center',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_wrapper|file|image|collection_full'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Additional meta data');
  t('Copyright');
  t('Link');
  t('Meta');
  t('Wrapper');

  return $field_groups;
}
