<?php
/**
 * @file
 * sector_media_longdesc.features.defaultconfig.inc
 */

/**
 * Implements hook_defaultconfig_features().
 */
function sector_media_longdesc_defaultconfig_features() {
  return array(
    'sector_media_longdesc' => array(
      'field_default_fields' => 'field_default_fields',
    ),
  );
}

/**
 * Implements hook_defaultconfig_field_default_fields().
 */
function sector_media_longdesc_defaultconfig_field_default_fields() {
  $fields = array();

  // Exported field: 'file-image-field_file_image_longdesc_text'.
  $fields['file-image-field_file_image_longdesc_text'] = array(
    'field_config' => array(
      'active' => 1,
      'cardinality' => 1,
      'deleted' => 0,
      'entity_types' => array(),
      'field_name' => 'field_file_image_longdesc_text',
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'global_block_settings' => 1,
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => 0,
      'module' => 'text',
      'settings' => array(),
      'translatable' => 0,
      'type' => 'text_long',
    ),
    'field_instance' => array(
      'bundle' => 'image',
      'default_value' => NULL,
      'deleted' => 0,
      'description' => 'The value in this field is rendered into the HTML&nbsp;&lt;img&gt;&nbsp;longdesc attribute. For more information on valid formats please see <a href=\'https://www.w3.org/TR/html-longdesc/\'>HTML&nbsp;&lt;img&gt;&nbsp;longdesc attribute on www.w3.org</a>. For links to the transcript field please use the path to the file plus the #transcript anchor for example "/file/&lt;fileID&gt;#transcript".',
      'display' => array(
        'collection_carousel' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 6,
        ),
        'collection_full' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 9,
        ),
        'collection_preview' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 5,
        ),
        'default' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 9,
        ),
        'full' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 3,
        ),
        'preview' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 0,
        ),
        'short_teaser' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 4,
        ),
        'teaser' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 0,
        ),
        'wysiwyg' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 2,
        ),
        'wysiwyg_half_column' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 10,
        ),
        'wysiwyg_half_column_linked' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 2,
        ),
        'wysiwyg_linked' => array(
          'label' => 'hidden',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => 2,
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'file',
      'field_name' => 'field_file_image_longdesc_text',
      'label' => 'Long description (longdesc)',
      'required' => 0,
      'settings' => array(
        'better_formats' => array(
          'allowed_formats' => array(
            'ds_code' => 'ds_code',
            'filtered_html' => 'filtered_html',
            'filtered_html_basic' => 'filtered_html_basic',
            'full_html' => 'full_html',
            'plain_text' => 'plain_text',
            'teaser_display_text' => 'teaser_display_text',
          ),
          'allowed_formats_toggle' => 0,
          'default_order_toggle' => 0,
          'default_order_wrapper' => array(
            'formats' => array(
              'ds_code' => array(
                'weight' => -6,
              ),
              'filtered_html' => array(
                'weight' => -10,
              ),
              'filtered_html_basic' => array(
                'weight' => 0,
              ),
              'full_html' => array(
                'weight' => -9,
              ),
              'plain_text' => array(
                'weight' => 10,
              ),
              'teaser_display_text' => array(
                'weight' => -8,
              ),
            ),
          ),
        ),
        'linkit' => array(
          'button_text' => 'Search',
          'enable' => 0,
          'profile' => '',
        ),
        'text_processing' => 0,
        'user_register_form' => FALSE,
        'wysiwyg_override' => 1,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'rows' => 5,
        ),
        'type' => 'text_textarea',
        'weight' => 7,
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Long description (longdesc)');
  t('The value in this field is rendered into the HTML&nbsp;&lt;img&gt;&nbsp;longdesc attribute. For more information on valid formats please see <a href=\'https://www.w3.org/TR/html-longdesc/\'>HTML&nbsp;&lt;img&gt;&nbsp;longdesc attribute on www.w3.org</a>. For links to the transcript field please use the path to the file plus the #transcript anchor for example "/file/&lt;fileID&gt;#transcript".');

  return $fields;
}
