<?php
/**
 * @file
 * sector_page_govt_nz_content.features.uuid_node.inc
 */

/**
 * Implements hook_uuid_features_default_content().
 */
function sector_page_govt_nz_content_uuid_features_default_content() {
  $nodes = array();

  $nodes[] = array(
  'title' => 'Privacy',
  'log' => 'Edited by UID1.',
  'status' => 1,
  'comment' => 0,
  'promote' => 0,
  'sticky' => 0,
  'ds_switch' => '',
  'type' => 'page',
  'language' => 'und',
  'created' => 1421729837,
  'tnid' => 0,
  'translate' => 0,
  'rh_action' => NULL,
  'rh_redirect' => NULL,
  'rh_redirect_response' => NULL,
  'uuid' => '0ac47e62-e1a3-463f-b7df-981f41f09911',
  'field_auto_contextual_content' => array(
    'und' => array(
      0 => array(
        'tid' => '6749af6d-f814-4a5c-bd22-051c9a2460bd',
        'uuid' => '6749af6d-f814-4a5c-bd22-051c9a2460bd',
      ),
    ),
  ),
  'field_media_document' => array(),
  'body' => array(
    'und' => array(
      0 => array(
        'value' => '<p>Based on the <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/">Web Usability Standard 1.2</a> a Privacy page is required.</p>

<p>In May 2016 the standard stated...</p>

<p>The Website <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a> link to a privacy statement (&ldquo;Privacy Statement&rdquo;).</p>

<p>The Privacy Statement <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a> clearly indicate:</p>

<ul>
	<li>the scope of the statement and that it applies to the Website (e.g. &ldquo;This privacy notice applies to personal information collected on ministry.govt.nz and agency.govt.nz.&rdquo;);</li>
	<li>the circumstances in which personal information is collected, by whom it is held (e.g. the responsible organisation and/or third parties) and any choices users have as to whether such information is collected in the first place;</li>
	<li>the uses to which collected personal information may be put by the collecting organisation and the circumstances in which it may be disclosed;</li>
	<li>the collection and use of statistical information, including users&rsquo; IP addresses;</li>
	<li>a statement that cookies are used, if that is the case, and a brief description of their purpose;</li>
	<li>users&rsquo; rights to request access to or to correct personal information held by the collecting organisation; and,</li>
	<li>contact details for such purposes.</li>
</ul>

<p>A link to the Privacy Statement&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a>&nbsp;be visible on the Website&rsquo;s&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#home-page">home page</a>, and the link&rsquo;s text&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a>&nbsp;unambiguously indicate its target as being the Website&rsquo;s Privacy Statement.</p>

<p>Standard are updated regularly so please make sure to check for updates under&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/">Web Usability Standard 1.2</a>&nbsp;</p>

<p>{Sample content}</p>
',
        'summary' => 'The Website must link to a privacy statement',
        'format' => 'filtered_html',
        'safe_summary' => 'The Website must link to a privacy statement',
      ),
    ),
  ),
  'field_last_update_date' => array(),
  'field_page_banner' => array(),
  'field_page_variant' => array(
    'und' => array(
      0 => array(
        'tid' => 'd9132050-9265-45ad-91b9-1648c21a9ed4',
        'uuid' => 'd9132050-9265-45ad-91b9-1648c21a9ed4',
      ),
    ),
  ),
  'field_related_external_url' => array(),
  'field_related_internal_url' => array(),
  'field_subtitle' => array(),
  'rdf_mapping' => array(
    'rdftype' => array(
      0 => 'sioc:Item',
      1 => 'foaf:Document',
    ),
    'title' => array(
      'predicates' => array(
        0 => 'dc:title',
      ),
    ),
    'created' => array(
      'predicates' => array(
        0 => 'dc:date',
        1 => 'dc:created',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
    'changed' => array(
      'predicates' => array(
        0 => 'dc:modified',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
    'body' => array(
      'predicates' => array(
        0 => 'content:encoded',
      ),
    ),
    'uid' => array(
      'predicates' => array(
        0 => 'sioc:has_creator',
      ),
      'type' => 'rel',
    ),
    'name' => array(
      'predicates' => array(
        0 => 'foaf:name',
      ),
    ),
    'comment_count' => array(
      'predicates' => array(
        0 => 'sioc:num_replies',
      ),
      'datatype' => 'xsd:integer',
    ),
    'last_activity' => array(
      'predicates' => array(
        0 => 'sioc:last_activity_date',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
  ),
  'path' => array(
    'pid' => 91,
    'source' => 'node/3',
    'alias' => 'privacy',
    'language' => 'und',
    'pathauto' => 1,
  ),
  'menu_node_links' => array(
    750 => array(
      'menu_name' => 'menu-footer-menu',
      'mlid' => 750,
      'plid' => 0,
      'link_path' => 'node/3',
      'router_path' => 'node/%',
      'link_title' => 'Privacy',
      'options' => 'a:0:{}',
      'module' => 'menu',
      'hidden' => 0,
      'external' => 0,
      'has_children' => 0,
      'expanded' => 0,
      'weight' => -47,
      'depth' => 1,
      'customized' => 0,
      'p1' => 750,
      'p2' => 0,
      'p3' => 0,
      'p4' => 0,
      'p5' => 0,
      'p6' => 0,
      'p7' => 0,
      'p8' => 0,
      'p9' => 0,
      'updated' => 0,
    ),
  ),
  'workbench_access' => array(
    23 => 23,
  ),
  'workbench_moderation' => array(
    'current' => array(
      'hid' => NULL,
      'vid' => 3,
      'nid' => 3,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Privacy',
      'timestamp' => 1473138406,
    ),
    'published' => array(
      'hid' => NULL,
      'vid' => 3,
      'nid' => 3,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Privacy',
      'timestamp' => 1473138406,
    ),
    'my_revision' => array(
      'hid' => NULL,
      'vid' => 3,
      'nid' => 3,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Privacy',
      'timestamp' => 1473138406,
    ),
  ),
  'pathauto_perform_alias' => FALSE,
  'date' => '2015-01-20 17:57:17 +1300',
  'user_uuid' => '631f249a-d4b0-4bfc-b379-904b7154fb13',
);
  $nodes[] = array(
  'title' => 'Contact us (govt.nz)',
  'log' => 'Edited by UID1.',
  'status' => 1,
  'comment' => 1,
  'promote' => 0,
  'sticky' => 0,
  'ds_switch' => '',
  'type' => 'page',
  'language' => 'und',
  'created' => 1337827993,
  'tnid' => 0,
  'translate' => 0,
  'rh_action' => NULL,
  'rh_redirect' => NULL,
  'rh_redirect_response' => NULL,
  'uuid' => '3d266663-a122-40e1-829f-bd962a874da7',
  'field_auto_contextual_content' => array(
    'und' => array(
      0 => array(
        'tid' => '6749af6d-f814-4a5c-bd22-051c9a2460bd',
        'uuid' => '6749af6d-f814-4a5c-bd22-051c9a2460bd',
      ),
    ),
  ),
  'field_media_document' => array(),
  'body' => array(
    'und' => array(
      0 => array(
        'value' => '<p>Based on the <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/">Web Usability Standard 1.2</a> a Contact Us page is required.</p>

<p>In May 2016&nbsp;the standard stated...&nbsp;</p>

<p>The Website&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a> link to a <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#web-page">web page</a> (&ldquo;Contact Us Page&rdquo;) that provides contact information for obtaining help related to the Website or for contacting the New Zealand Government organisation responsible for the Website.</p>

<p>The Contact Us Page <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a> unambiguously indicate that it provides contact information for the Website (e.g. &ldquo;For enquiries related to ministry.govt.nz or the Ministry&hellip;&rdquo;).</p>

<p>A link to the Contact Us Page <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a> be visible on the Website&rsquo;s&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#home-page">home page</a>, and the link&rsquo;s text must unambiguously indicate that its target is the Website&rsquo;s Contact Us Page.</p>

<p>The Contact Us Page <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a> include:</p>

<ul>
	<li>the address of an email account that is regularly monitored by the&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#website">website</a>&rsquo;s responsible organisation;</li>
	<li>the telephone number for each call centre that supports a service provided by the&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#website">website</a>; and,</li>
	<li>a regularly monitored postal address.</li>
</ul>

<p>The Contact Us Page <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#should">should</a> include:</p>

<ul>
	<li>the number of a monitored telephone line;</li>
	<li>a physical street address, if applicable; and,</li>
	<li>a link to the <a href="http://www.nzrelay.co.nz/">New Zealand Relay Service (NZ Relay)&nbsp;(external site link)</a> for people who are deaf, hearing-impaired, deaf-blind, or speech-impaired.</li>
</ul>

<p>Standard are updated regularly so please make sure to check for updates under <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/">Web Usability Standard 1.2</a></p>

<p>{Sample content}</p>
',
        'summary' => 'The website must link to a web page that provides contact information for obtaining help related to the Website.',
        'format' => 'filtered_html',
        'safe_summary' => 'The website must link to a web page that provides contact information for obtaining help related to the Website.',
      ),
    ),
  ),
  'field_last_update_date' => array(),
  'field_page_banner' => array(),
  'field_page_variant' => array(
    'und' => array(
      0 => array(
        'tid' => 'd9132050-9265-45ad-91b9-1648c21a9ed4',
        'uuid' => 'd9132050-9265-45ad-91b9-1648c21a9ed4',
      ),
    ),
  ),
  'field_related_external_url' => array(),
  'field_related_internal_url' => array(),
  'field_subtitle' => array(),
  'rdf_mapping' => array(
    'rdftype' => array(
      0 => 'sioc:Item',
      1 => 'foaf:Document',
    ),
    'title' => array(
      'predicates' => array(
        0 => 'dc:title',
      ),
    ),
    'created' => array(
      'predicates' => array(
        0 => 'dc:date',
        1 => 'dc:created',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
    'changed' => array(
      'predicates' => array(
        0 => 'dc:modified',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
    'body' => array(
      'predicates' => array(
        0 => 'content:encoded',
      ),
    ),
    'uid' => array(
      'predicates' => array(
        0 => 'sioc:has_creator',
      ),
      'type' => 'rel',
    ),
    'name' => array(
      'predicates' => array(
        0 => 'foaf:name',
      ),
    ),
    'comment_count' => array(
      'predicates' => array(
        0 => 'sioc:num_replies',
      ),
      'datatype' => 'xsd:integer',
    ),
    'last_activity' => array(
      'predicates' => array(
        0 => 'sioc:last_activity_date',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
  ),
  'path' => array(
    'pid' => 94,
    'source' => 'node/6',
    'alias' => 'contact-us-govtnz',
    'language' => 'und',
    'pathauto' => 1,
  ),
  'menu_node_links' => array(
    748 => array(
      'menu_name' => 'menu-footer-menu',
      'mlid' => 748,
      'plid' => 0,
      'link_path' => 'node/6',
      'router_path' => 'node/%',
      'link_title' => 'Contact us',
      'options' => 'a:0:{}',
      'module' => 'menu',
      'hidden' => 0,
      'external' => 0,
      'has_children' => 0,
      'expanded' => 0,
      'weight' => -49,
      'depth' => 1,
      'customized' => 0,
      'p1' => 748,
      'p2' => 0,
      'p3' => 0,
      'p4' => 0,
      'p5' => 0,
      'p6' => 0,
      'p7' => 0,
      'p8' => 0,
      'p9' => 0,
      'updated' => 0,
    ),
    752 => array(
      'menu_name' => 'menu-header-menu',
      'mlid' => 752,
      'plid' => 0,
      'link_path' => 'node/6',
      'router_path' => 'node/%',
      'link_title' => 'Contact us',
      'options' => 'a:0:{}',
      'module' => 'menu',
      'hidden' => 0,
      'external' => 0,
      'has_children' => 0,
      'expanded' => 0,
      'weight' => 0,
      'depth' => 1,
      'customized' => 0,
      'p1' => 752,
      'p2' => 0,
      'p3' => 0,
      'p4' => 0,
      'p5' => 0,
      'p6' => 0,
      'p7' => 0,
      'p8' => 0,
      'p9' => 0,
      'updated' => 0,
    ),
    503 => array(
      'menu_name' => 'menu-utility',
      'mlid' => 503,
      'plid' => 0,
      'link_path' => 'node/6',
      'router_path' => 'node/%',
      'link_title' => 'Contact us',
      'options' => 'a:3:{s:10:"attributes";a:0:{}s:15:"item_attributes";a:3:{s:2:"id";s:0:"";s:5:"class";s:0:"";s:5:"style";s:0:"";}s:10:"identifier";s:30:"menu-utility_contact-us:node/6";}',
      'module' => 'menu',
      'hidden' => 0,
      'external' => 0,
      'has_children' => 0,
      'expanded' => 0,
      'weight' => -50,
      'depth' => 1,
      'customized' => 1,
      'p1' => 503,
      'p2' => 0,
      'p3' => 0,
      'p4' => 0,
      'p5' => 0,
      'p6' => 0,
      'p7' => 0,
      'p8' => 0,
      'p9' => 0,
      'updated' => 0,
    ),
  ),
  'workbench_access' => array(
    23 => 23,
  ),
  'workbench_moderation' => array(
    'current' => array(
      'hid' => NULL,
      'vid' => 6,
      'nid' => 6,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Contact us (govt.nz)',
      'timestamp' => 1473138406,
    ),
    'published' => array(
      'hid' => NULL,
      'vid' => 6,
      'nid' => 6,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Contact us (govt.nz)',
      'timestamp' => 1473138406,
    ),
    'my_revision' => array(
      'hid' => NULL,
      'vid' => 6,
      'nid' => 6,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Contact us (govt.nz)',
      'timestamp' => 1473138406,
    ),
  ),
  'pathauto_perform_alias' => FALSE,
  'date' => '2012-05-24 14:53:13 +1200',
  'user_uuid' => '631f249a-d4b0-4bfc-b379-904b7154fb13',
);
  $nodes[] = array(
  'title' => 'Copyright',
  'log' => 'Edited by UID1.',
  'status' => 1,
  'comment' => 0,
  'promote' => 0,
  'sticky' => 0,
  'ds_switch' => '',
  'type' => 'page',
  'language' => 'und',
  'created' => 1421729400,
  'tnid' => 0,
  'translate' => 0,
  'rh_action' => NULL,
  'rh_redirect' => NULL,
  'rh_redirect_response' => NULL,
  'uuid' => 'bb8f6742-9ab6-4460-ad71-6cd4999ee51d',
  'field_auto_contextual_content' => array(
    'und' => array(
      0 => array(
        'tid' => '6749af6d-f814-4a5c-bd22-051c9a2460bd',
        'uuid' => '6749af6d-f814-4a5c-bd22-051c9a2460bd',
      ),
    ),
  ),
  'field_media_document' => array(),
  'body' => array(
    'und' => array(
      0 => array(
        'value' => '<p>Based on the&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/">Web Usability Standard 1.2</a>&nbsp;a&nbsp;Copyright&nbsp;page is&nbsp;required.&nbsp;</p>

<p>In May 2016 the standard stated...</p>

<p>The Website <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a> link to a general copyright statement (&ldquo;General Copyright Statement&rdquo;).</p>

<p>The General Copyright Statement&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a>:</p>

<ul>
	<li>clearly indicate that it applies to the Website (e.g. &ldquo;Copyright material on ministry.govt.nz and agency.govt.nz is protected by copyright owned by the Ministry on behalf of the Crown.&rdquo;);</li>
	<li>state that copyright material on the Website is protected by copyright; and,</li>
	<li>set out the licensing terms under which the Website&rsquo;s material can be re-used by others.</li>
</ul>

<p>A link to the General Copyright Statement&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a>&nbsp;be visible on the Website&rsquo;s&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#home-page">home page</a>, and the link&rsquo;s text must unambiguously indicate that its target is the Website&rsquo;s General Copyright Statement.</p>

<p>If the Website contains third party copyright material, the Website&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#must">must</a>&nbsp;state, either within the General Copyright Statement and/or within or near to each item of third party copyright material:</p>

<ul>
	<li>the source and copyright status of such material in a way that avoids ambiguity as to which content items are subject to third party copyright;</li>
	<li>that the Website&rsquo;s re-use licence does not apply to material that is subject to third party copyright; and,</li>
	<li>that permission to re-use third party copyright material cannot be given by the New Zealand Government organisation responsible for the Website.</li>
</ul>

<p>The General Copyright Statement&nbsp;<a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#should">should</a>&nbsp;state that the general licensing terms do not apply to material on the Website that is covered by the&nbsp;<a href="http://www.legislation.govt.nz/act/public/1981/0047/latest/DLM51358.html">Flags, Emblems, and Names Protection Act 1981&nbsp;(external site link)</a>.</p>

<p>The <a href="http://ict.govt.nz/guidance-and-resources/open-government/nzgoal">New Zealand Government Open Access and Licensing framework (NZGOAL)(external site link)</a><a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/#should">should</a>&nbsp;be applied when selecting the licensing terms that apply to copyright material on the Website.</p>

<p>Standard are updated regularly so please make sure to check for updates under <a href="https://webtoolkit.govt.nz/standards/web-usability-standard-1-2/">Web Usability Standard 1.2</a>.</p>

<p>{Sample content}</p>
',
        'summary' => 'The Website must link to a general copyright statement',
        'format' => 'filtered_html',
        'safe_summary' => 'The Website must link to a general copyright statement',
      ),
    ),
  ),
  'field_last_update_date' => array(),
  'field_page_banner' => array(),
  'field_page_variant' => array(
    'und' => array(
      0 => array(
        'tid' => 'd9132050-9265-45ad-91b9-1648c21a9ed4',
        'uuid' => 'd9132050-9265-45ad-91b9-1648c21a9ed4',
      ),
    ),
  ),
  'field_related_external_url' => array(),
  'field_related_internal_url' => array(),
  'field_subtitle' => array(),
  'rdf_mapping' => array(
    'rdftype' => array(
      0 => 'sioc:Item',
      1 => 'foaf:Document',
    ),
    'title' => array(
      'predicates' => array(
        0 => 'dc:title',
      ),
    ),
    'created' => array(
      'predicates' => array(
        0 => 'dc:date',
        1 => 'dc:created',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
    'changed' => array(
      'predicates' => array(
        0 => 'dc:modified',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
    'body' => array(
      'predicates' => array(
        0 => 'content:encoded',
      ),
    ),
    'uid' => array(
      'predicates' => array(
        0 => 'sioc:has_creator',
      ),
      'type' => 'rel',
    ),
    'name' => array(
      'predicates' => array(
        0 => 'foaf:name',
      ),
    ),
    'comment_count' => array(
      'predicates' => array(
        0 => 'sioc:num_replies',
      ),
      'datatype' => 'xsd:integer',
    ),
    'last_activity' => array(
      'predicates' => array(
        0 => 'sioc:last_activity_date',
      ),
      'datatype' => 'xsd:dateTime',
      'callback' => 'date_iso8601',
    ),
  ),
  'path' => array(
    'pid' => 102,
    'source' => 'node/14',
    'alias' => 'copyright',
    'language' => 'und',
    'pathauto' => 1,
  ),
  'menu_node_links' => array(
    749 => array(
      'menu_name' => 'menu-footer-menu',
      'mlid' => 749,
      'plid' => 0,
      'link_path' => 'node/14',
      'router_path' => 'node/%',
      'link_title' => 'Copyright and licensing',
      'options' => 'a:0:{}',
      'module' => 'menu',
      'hidden' => 0,
      'external' => 0,
      'has_children' => 0,
      'expanded' => 0,
      'weight' => -48,
      'depth' => 1,
      'customized' => 0,
      'p1' => 749,
      'p2' => 0,
      'p3' => 0,
      'p4' => 0,
      'p5' => 0,
      'p6' => 0,
      'p7' => 0,
      'p8' => 0,
      'p9' => 0,
      'updated' => 0,
    ),
  ),
  'workbench_access' => array(
    23 => 23,
  ),
  'workbench_moderation' => array(
    'current' => array(
      'hid' => NULL,
      'vid' => 14,
      'nid' => 14,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Copyright',
      'timestamp' => 1473138406,
    ),
    'published' => array(
      'hid' => NULL,
      'vid' => 14,
      'nid' => 14,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Copyright',
      'timestamp' => 1473138406,
    ),
    'my_revision' => array(
      'hid' => NULL,
      'vid' => 14,
      'nid' => 14,
      'from_state' => 'draft',
      'state' => 'published',
      'uid' => 1,
      'stamp' => 1473138406,
      'published' => 1,
      'is_current' => 1,
      'title' => 'Copyright',
      'timestamp' => 1473138406,
    ),
  ),
  'pathauto_perform_alias' => FALSE,
  'date' => '2015-01-20 17:50:00 +1300',
  'user_uuid' => '631f249a-d4b0-4bfc-b379-904b7154fb13',
);
  return $nodes;
}
