<?php
/**
 * @file
 * sector_responsive_images.default_picture_mapping.inc
 */

/**
 * Implements hook_default_picture_mapping().
 */
function sector_responsive_images_default_picture_mapping() {
  $export = array();

  $picture_mapping = new PictureMapping();
  $picture_mapping->disabled = FALSE; /* Edit this to true to make a default picture_mapping disabled initially */
  $picture_mapping->api_version = 2;
  $picture_mapping->label = 'Ratio 16 x 6 (starting with XLarge)';
  $picture_mapping->machine_name = 'ratio_16_x_6_starting_with_xlarge_';
  $picture_mapping->breakpoint_group = 'standard';
  $picture_mapping->mapping = array(
    'custom.user.xlarge' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__xlarge_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__2x_xlarge_',
      ),
    ),
    'custom.user.large' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__large_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__2x_large_',
      ),
    ),
    'custom.user.medium' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__medium_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__2x_medium_',
      ),
    ),
    'custom.user.small' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__small_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__medium_',
      ),
    ),
    'custom.user.xsmall' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__xsmall_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_16_x_6__small_',
      ),
    ),
  );
  $export['ratio_16_x_6_starting_with_xlarge_'] = $picture_mapping;

  $picture_mapping = new PictureMapping();
  $picture_mapping->disabled = FALSE; /* Edit this to true to make a default picture_mapping disabled initially */
  $picture_mapping->api_version = 2;
  $picture_mapping->label = 'Ratio 3 x 2 (starting with Medium)';
  $picture_mapping->machine_name = 'ratio_3_x_2_starting_with_medium_';
  $picture_mapping->breakpoint_group = 'standard';
  $picture_mapping->mapping = array(
    'custom.user.xlarge' => array(
      '1x' => array(
        'mapping_type' => '_none',
      ),
      '2x' => array(
        'mapping_type' => '_none',
      ),
    ),
    'custom.user.large' => array(
      '1x' => array(
        'mapping_type' => '_none',
      ),
      '2x' => array(
        'mapping_type' => '_none',
      ),
    ),
    'custom.user.medium' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_3_x_2__medium_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_3_x_2__2x_medium_',
      ),
    ),
    'custom.user.small' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_3_x_2__small_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_3_x_2__2x_small_',
      ),
    ),
    'custom.user.xsmall' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_3_x_2__xsmall_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_3_x_2__small_',
      ),
    ),
  );
  $export['ratio_3_x_2_starting_with_medium_'] = $picture_mapping;

  $picture_mapping = new PictureMapping();
  $picture_mapping->disabled = FALSE; /* Edit this to true to make a default picture_mapping disabled initially */
  $picture_mapping->api_version = 2;
  $picture_mapping->label = 'Ratio 5 x 3 (starting with Medium)';
  $picture_mapping->machine_name = 'ratio_5_x_3_starting_with_medium_';
  $picture_mapping->breakpoint_group = 'standard';
  $picture_mapping->mapping = array(
    'custom.user.xlarge' => array(
      '1x' => array(
        'mapping_type' => '_none',
      ),
      '2x' => array(
        'mapping_type' => '_none',
      ),
    ),
    'custom.user.large' => array(
      '1x' => array(
        'mapping_type' => '_none',
      ),
      '2x' => array(
        'mapping_type' => '_none',
      ),
    ),
    'custom.user.medium' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_5_x_3__medium_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_5_x_3__2x_medium_',
      ),
    ),
    'custom.user.small' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_5_x_3__small_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_5_x_3__2x_small_',
      ),
    ),
    'custom.user.xsmall' => array(
      '1x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_5_x_3__xsmall_',
      ),
      '2x' => array(
        'mapping_type' => 'image_style',
        'image_style' => 'ratio_5_x_3__small_',
      ),
    ),
  );
  $export['ratio_5_x_3_starting_with_medium_'] = $picture_mapping;

  return $export;
}
