<?php
/**
 * @file
 * sector_responsive_images.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function sector_responsive_images_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "breakpoints" && $api == "default_breakpoint_group") {
    return array("version" => "1");
  }
  if ($module == "breakpoints" && $api == "default_breakpoints") {
    return array("version" => "1");
  }
  if ($module == "picture" && $api == "default_picture_mapping") {
    return array("version" => "2");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function sector_responsive_images_image_default_styles() {
  $styles = array();

  // Exported image style: ratio_16_x_6__2x_large_.
  $styles['ratio_16_x_6__2x_large_'] = array(
    'label' => 'Ratio 16 x 6 (2x Large)',
    'effects' => array(
      17 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 2400,
          'height' => 900,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_6__2x_medium_.
  $styles['ratio_16_x_6__2x_medium_'] = array(
    'label' => 'Ratio 16 x 6 (2x Medium)',
    'effects' => array(
      18 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1984,
          'height' => 744,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_6__2x_xlarge_.
  $styles['ratio_16_x_6__2x_xlarge_'] = array(
    'label' => 'Ratio 16 x 6 (2x XLarge)',
    'effects' => array(
      16 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 2800,
          'height' => 1050,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_6__large_.
  $styles['ratio_16_x_6__large_'] = array(
    'label' => 'Ratio 16 x 6 (Large)',
    'effects' => array(
      6 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1200,
          'height' => 450,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_6__medium_.
  $styles['ratio_16_x_6__medium_'] = array(
    'label' => 'Ratio 16 x 6 (Medium)',
    'effects' => array(
      7 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 992,
          'height' => 372,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_6__small_.
  $styles['ratio_16_x_6__small_'] = array(
    'label' => 'Ratio 16 x 6 (Small)',
    'effects' => array(
      1 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 760,
          'height' => 285,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_6__xlarge_.
  $styles['ratio_16_x_6__xlarge_'] = array(
    'label' => 'Ratio 16 x 6 (XLarge)',
    'effects' => array(
      14 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1400,
          'height' => 525,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_6__xsmall_.
  $styles['ratio_16_x_6__xsmall_'] = array(
    'label' => 'Ratio 16 x 6 (XSmall)',
    'effects' => array(
      2 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 384,
          'height' => 144,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_16_x_9__small_.
  $styles['ratio_16_x_9__small_'] = array(
    'label' => 'Ratio 16 x 9 (Small)',
    'effects' => array(
      1 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 768,
          'height' => 432,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_3_x_2__2x_medium_.
  $styles['ratio_3_x_2__2x_medium_'] = array(
    'label' => 'Ratio 3 x 2 (2x Medium)',
    'effects' => array(
      20 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1986,
          'height' => 1324,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_3_x_2__2x_small_.
  $styles['ratio_3_x_2__2x_small_'] = array(
    'label' => 'Ratio 3 x 2 (2x Small)',
    'effects' => array(
      21 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1464,
          'height' => 976,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_3_x_2__medium_.
  $styles['ratio_3_x_2__medium_'] = array(
    'label' => 'Ratio 3 x 2 (Medium)',
    'effects' => array(
      10 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 993,
          'height' => 662,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_3_x_2__small_.
  $styles['ratio_3_x_2__small_'] = array(
    'label' => 'Ratio 3 x 2 (Small)',
    'effects' => array(
      11 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 732,
          'height' => 488,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_3_x_2__xsmall_.
  $styles['ratio_3_x_2__xsmall_'] = array(
    'label' => 'Ratio 3 x 2 (XSmall)',
    'effects' => array(
      19 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 378,
          'height' => 252,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_5_x_3__2x_medium_.
  $styles['ratio_5_x_3__2x_medium_'] = array(
    'label' => 'Ratio 5 x 3 (2x Medium)',
    'effects' => array(
      25 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1990,
          'height' => 1194,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_5_x_3__2x_small_.
  $styles['ratio_5_x_3__2x_small_'] = array(
    'label' => 'Ratio 5 x 3 (2x Small)',
    'effects' => array(
      26 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1460,
          'height' => 876,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_5_x_3__medium_.
  $styles['ratio_5_x_3__medium_'] = array(
    'label' => 'Ratio 5 x 3 (Medium)',
    'effects' => array(
      22 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 995,
          'height' => 597,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_5_x_3__small_.
  $styles['ratio_5_x_3__small_'] = array(
    'label' => 'Ratio 5 x 3 (Small)',
    'effects' => array(
      23 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 730,
          'height' => 438,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: ratio_5_x_3__xsmall_.
  $styles['ratio_5_x_3__xsmall_'] = array(
    'label' => 'Ratio 5 x 3 (XSmall)',
    'effects' => array(
      24 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 380,
          'height' => 228,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_full_column.
  $styles['scale_width_full_column'] = array(
    'label' => 'Scale width full column',
    'effects' => array(
      1 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 804,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_half_column.
  $styles['scale_width_half_column'] = array(
    'label' => 'Scale width half column',
    'effects' => array(
      2 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 402,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media.
  $styles['scale_width_media'] = array(
    'label' => 'Scale width media',
    'effects' => array(
      3 => array(
        'name' => 'canvasactions_aspect',
        'data' => array(
          'portrait' => 'scale_width_media_portriat',
          'landscape' => 'scale_width_media_landscape',
          'ratio_adjustment' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media__large_.
  $styles['scale_width_media__large_'] = array(
    'label' => 'Scale width media (Large)',
    'effects' => array(
      3 => array(
        'name' => 'canvasactions_aspect',
        'data' => array(
          'portrait' => 'scale_width_media_portrait__large_',
          'landscape' => 'scale_width_media_landscape__large_',
          'ratio_adjustment' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media__small_.
  $styles['scale_width_media__small_'] = array(
    'label' => 'Scale width media (Small)',
    'effects' => array(
      3 => array(
        'name' => 'canvasactions_aspect',
        'data' => array(
          'portrait' => 'scale_width_media_portrait__small_',
          'landscape' => 'scale_width_media_landscape__small_',
          'ratio_adjustment' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media_landscape.
  $styles['scale_width_media_landscape'] = array(
    'label' => 'Scale width media landscape',
    'effects' => array(
      2 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 804,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media_landscape__large_.
  $styles['scale_width_media_landscape__large_'] = array(
    'label' => 'Scale width media landscape (Large)',
    'effects' => array(
      1 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 1608,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media_landscape__small_.
  $styles['scale_width_media_landscape__small_'] = array(
    'label' => 'Scale width media landscape (Small)',
    'effects' => array(
      1 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 400,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media_portrait__large_.
  $styles['scale_width_media_portrait__large_'] = array(
    'label' => 'Scale width media portrait (Large)',
    'effects' => array(
      2 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 800,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media_portrait__small_.
  $styles['scale_width_media_portrait__small_'] = array(
    'label' => 'Scale width media portrait (Small)',
    'effects' => array(
      2 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 150,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: scale_width_media_portriat.
  $styles['scale_width_media_portriat'] = array(
    'label' => 'Scale width media portriat',
    'effects' => array(
      1 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 400,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}
