<?php
/**
 * @file
 * sector_theme_settings.ds.inc
 */

/**
 * Implements hook_ds_custom_fields_info().
 */
function sector_theme_settings_ds_custom_fields_info() {
  $export = array();

  $ds_field = new stdClass();
  $ds_field->api_version = 1;
  $ds_field->field = 'file_extension';
  $ds_field->label = 'File extension';
  $ds_field->field_type = 5;
  $ds_field->entities = array(
    'file' => 'file',
  );
  $ds_field->ui_limit = '';
  $ds_field->properties = array(
    'code' => array(
      'value' => '[file:extension]',
      'format' => 'ds_code',
    ),
    'use_token' => 1,
  );
  $export['file_extension'] = $ds_field;

  $ds_field = new stdClass();
  $ds_field->api_version = 1;
  $ds_field->field = 'file_size';
  $ds_field->label = 'File size';
  $ds_field->field_type = 5;
  $ds_field->entities = array(
    'file' => 'file',
  );
  $ds_field->ui_limit = '';
  $ds_field->properties = array(
    'code' => array(
      'value' => '[file:size]',
      'format' => 'ds_code',
    ),
    'use_token' => 1,
  );
  $export['file_size'] = $ds_field;

  $ds_field = new stdClass();
  $ds_field->api_version = 1;
  $ds_field->field = 'read_more';
  $ds_field->label = 'Link title label';
  $ds_field->field_type = 5;
  $ds_field->entities = array(
    'node' => 'node',
  );
  $ds_field->ui_limit = 'promotion|*';
  $ds_field->properties = array(
    'code' => array(
      'value' => '[node:field-featured-content:title]',
      'format' => 'ds_code',
    ),
    'use_token' => 1,
  );
  $export['read_more'] = $ds_field;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function sector_theme_settings_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'entity_teaser';
  $ds_view_mode->label = 'Entity teaser';
  $ds_view_mode->entities = array(
    'node' => 'node',
  );
  $export['entity_teaser'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'short_teaser';
  $ds_view_mode->label = 'Short teaser';
  $ds_view_mode->entities = array(
    'node' => 'node',
    'file' => 'file',
  );
  $export['short_teaser'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'teaser_alternate';
  $ds_view_mode->label = 'Teaser alternate';
  $ds_view_mode->entities = array(
    'node' => 'node',
  );
  $export['teaser_alternate'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'wysiwyg_half_column';
  $ds_view_mode->label = 'WYSIWYG Half column';
  $ds_view_mode->entities = array(
    'file' => 'file',
  );
  $export['wysiwyg_half_column'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'wysiwyg_half_column_linked';
  $ds_view_mode->label = 'WYSIWYG Half column linked';
  $ds_view_mode->entities = array(
    'file' => 'file',
  );
  $export['wysiwyg_half_column_linked'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'wysiwyg_linked';
  $ds_view_mode->label = 'WYSIWYG linked';
  $ds_view_mode->entities = array(
    'file' => 'file',
  );
  $export['wysiwyg_linked'] = $ds_view_mode;

  return $export;
}
