<?php
/**
 * @file
 * sector_permissions.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function sector_permissions_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'access administration menu'.
  $permissions['access administration menu'] = array(
    'name' => 'access administration menu',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'access administration pages'.
  $permissions['access administration pages'] = array(
    'name' => 'access administration pages',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'access all views'.
  $permissions['access all views'] = array(
    'name' => 'access all views',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'views',
  );

  // Exported permission: 'access all webform results'.
  $permissions['access all webform results'] = array(
    'name' => 'access all webform results',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'webform',
  );

  // Exported permission: 'access backup and migrate'.
  $permissions['access backup and migrate'] = array(
    'name' => 'access backup and migrate',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'access backup files'.
  $permissions['access backup files'] = array(
    'name' => 'access backup files',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'access content'.
  $permissions['access content'] = array(
    'name' => 'access content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'node',
  );

  // Exported permission: 'access content overview'.
  $permissions['access content overview'] = array(
    'name' => 'access content overview',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'access contextual links'.
  $permissions['access contextual links'] = array(
    'name' => 'access contextual links',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'contextual',
  );

  // Exported permission: 'access media browser'.
  $permissions['access media browser'] = array(
    'name' => 'access media browser',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'media',
  );

  // Exported permission: 'access own webform results'.
  $permissions['access own webform results'] = array(
    'name' => 'access own webform results',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'webform',
  );

  // Exported permission: 'access own webform submissions'.
  $permissions['access own webform submissions'] = array(
    'name' => 'access own webform submissions',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'webform',
  );

  // Exported permission: 'access site in maintenance mode'.
  $permissions['access site in maintenance mode'] = array(
    'name' => 'access site in maintenance mode',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'access site reports'.
  $permissions['access site reports'] = array(
    'name' => 'access site reports',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'access user profiles'.
  $permissions['access user profiles'] = array(
    'name' => 'access user profiles',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'user',
  );

  // Exported permission: 'add media from remote sources'.
  $permissions['add media from remote sources'] = array(
    'name' => 'add media from remote sources',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'media_internet',
  );

  // Exported permission: 'admin_classes'.
  $permissions['admin_classes'] = array(
    'name' => 'admin_classes',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'ds_ui',
  );

  // Exported permission: 'admin_display_suite'.
  $permissions['admin_display_suite'] = array(
    'name' => 'admin_display_suite',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'ds',
  );

  // Exported permission: 'admin_fields'.
  $permissions['admin_fields'] = array(
    'name' => 'admin_fields',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'ds_ui',
  );

  // Exported permission: 'admin_view_modes'.
  $permissions['admin_view_modes'] = array(
    'name' => 'admin_view_modes',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'ds_ui',
  );

  // Exported permission: 'administer actions'.
  $permissions['administer actions'] = array(
    'name' => 'administer actions',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'administer backup and migrate'.
  $permissions['administer backup and migrate'] = array(
    'name' => 'administer backup and migrate',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'administer block classes'.
  $permissions['administer block classes'] = array(
    'name' => 'administer block classes',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'block_class',
  );

  // Exported permission: 'administer blocks'.
  $permissions['administer blocks'] = array(
    'name' => 'administer blocks',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'block',
  );

  // Exported permission: 'administer breakpoints'.
  $permissions['administer breakpoints'] = array(
    'name' => 'administer breakpoints',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'breakpoints',
  );

  // Exported permission: 'administer content types'.
  $permissions['administer content types'] = array(
    'name' => 'administer content types',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'administer contexts'.
  $permissions['administer contexts'] = array(
    'name' => 'administer contexts',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'context_ui',
  );

  // Exported permission: 'administer crumbs'.
  $permissions['administer crumbs'] = array(
    'name' => 'administer crumbs',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'crumbs',
  );

  // Exported permission: 'administer date tools'.
  $permissions['administer date tools'] = array(
    'name' => 'administer date tools',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'date_tools',
  );

  // Exported permission: 'administer default config'.
  $permissions['administer default config'] = array(
    'name' => 'administer default config',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'defaultconfig',
  );

  // Exported permission: 'administer entityqueue'.
  $permissions['administer entityqueue'] = array(
    'name' => 'administer entityqueue',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'entityqueue',
  );

  // Exported permission: 'administer feeds'.
  $permissions['administer feeds'] = array(
    'name' => 'administer feeds',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'feeds',
  );

  // Exported permission: 'administer fieldgroups'.
  $permissions['administer fieldgroups'] = array(
    'name' => 'administer fieldgroups',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'field_group',
  );

  // Exported permission: 'administer fields'.
  $permissions['administer fields'] = array(
    'name' => 'administer fields',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'field',
  );

  // Exported permission: 'administer filters'.
  $permissions['administer filters'] = array(
    'name' => 'administer filters',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'filter',
  );

  // Exported permission: 'administer image styles'.
  $permissions['administer image styles'] = array(
    'name' => 'administer image styles',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'image',
  );

  // Exported permission: 'administer linkit'.
  $permissions['administer linkit'] = array(
    'name' => 'administer linkit',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'linkit',
  );

  // Exported permission: 'administer media browser'.
  $permissions['administer media browser'] = array(
    'name' => 'administer media browser',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'media',
  );

  // Exported permission: 'administer menu'.
  $permissions['administer menu'] = array(
    'name' => 'administer menu',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'menu',
  );

  // Exported permission: 'administer menu attributes'.
  $permissions['administer menu attributes'] = array(
    'name' => 'administer menu attributes',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'menu_attributes',
  );

  // Exported permission: 'administer meta tags'.
  $permissions['administer meta tags'] = array(
    'name' => 'administer meta tags',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'metatag',
  );

  // Exported permission: 'administer mmenu'.
  $permissions['administer mmenu'] = array(
    'name' => 'administer mmenu',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'mmenu',
  );

  // Exported permission: 'administer modules'.
  $permissions['administer modules'] = array(
    'name' => 'administer modules',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'administer nodes'.
  $permissions['administer nodes'] = array(
    'name' => 'administer nodes',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'administer password policies'.
  $permissions['administer password policies'] = array(
    'name' => 'administer password policies',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'password_policy',
  );

  // Exported permission: 'administer pathauto'.
  $permissions['administer pathauto'] = array(
    'name' => 'administer pathauto',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'pathauto',
  );

  // Exported permission: 'administer permissions'.
  $permissions['administer permissions'] = array(
    'name' => 'administer permissions',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'user',
  );

  // Exported permission: 'administer pictures'.
  $permissions['administer pictures'] = array(
    'name' => 'administer pictures',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'picture',
  );

  // Exported permission: 'administer redirects'.
  $permissions['administer redirects'] = array(
    'name' => 'administer redirects',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'redirect',
  );

  // Exported permission: 'administer rh_file'.
  $permissions['administer rh_file'] = array(
    'name' => 'administer rh_file',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'administer rh_node'.
  $permissions['administer rh_node'] = array(
    'name' => 'administer rh_node',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'administer rh_taxonomy'.
  $permissions['administer rh_taxonomy'] = array(
    'name' => 'administer rh_taxonomy',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'administer rh_user'.
  $permissions['administer rh_user'] = array(
    'name' => 'administer rh_user',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'administer search_api'.
  $permissions['administer search_api'] = array(
    'name' => 'administer search_api',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'search_api',
  );

  // Exported permission: 'administer shortcuts'.
  $permissions['administer shortcuts'] = array(
    'name' => 'administer shortcuts',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'shortcut',
  );

  // Exported permission: 'administer site configuration'.
  $permissions['administer site configuration'] = array(
    'name' => 'administer site configuration',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'administer software updates'.
  $permissions['administer software updates'] = array(
    'name' => 'administer software updates',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'administer taxonomy'.
  $permissions['administer taxonomy'] = array(
    'name' => 'administer taxonomy',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'administer themes'.
  $permissions['administer themes'] = array(
    'name' => 'administer themes',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'administer url aliases'.
  $permissions['administer url aliases'] = array(
    'name' => 'administer url aliases',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'path',
  );

  // Exported permission: 'administer users'.
  $permissions['administer users'] = array(
    'name' => 'administer users',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'user',
  );

  // Exported permission: 'administer uuid'.
  $permissions['administer uuid'] = array(
    'name' => 'administer uuid',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'uuid',
  );

  // Exported permission: 'administer views'.
  $permissions['administer views'] = array(
    'name' => 'administer views',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'views',
  );

  // Exported permission: 'administer wysiwyg templates'.
  $permissions['administer wysiwyg templates'] = array(
    'name' => 'administer wysiwyg templates',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'wysiwyg_template',
  );

  // Exported permission: 'administer xmlsitemap'.
  $permissions['administer xmlsitemap'] = array(
    'name' => 'administer xmlsitemap',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'xmlsitemap',
  );

  // Exported permission: 'block IP addresses'.
  $permissions['block IP addresses'] = array(
    'name' => 'block IP addresses',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  // Exported permission: 'bypass node access'.
  $permissions['bypass node access'] = array(
    'name' => 'bypass node access',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'bypass rh_file'.
  $permissions['bypass rh_file'] = array(
    'name' => 'bypass rh_file',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'bypass rh_node'.
  $permissions['bypass rh_node'] = array(
    'name' => 'bypass rh_node',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'bypass rh_taxonomy'.
  $permissions['bypass rh_taxonomy'] = array(
    'name' => 'bypass rh_taxonomy',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'bypass rh_user'.
  $permissions['bypass rh_user'] = array(
    'name' => 'bypass rh_user',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'cancel account'.
  $permissions['cancel account'] = array(
    'name' => 'cancel account',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'user',
  );

  // Exported permission: 'change own username'.
  $permissions['change own username'] = array(
    'name' => 'change own username',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'user',
  );

  // Exported permission: 'context ajax block access'.
  $permissions['context ajax block access'] = array(
    'name' => 'context ajax block access',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'context_ui',
  );

  // Exported permission: 'create article content'.
  $permissions['create article content'] = array(
    'name' => 'create article content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create page content'.
  $permissions['create page content'] = array(
    'name' => 'create page content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create promotion content'.
  $permissions['create promotion content'] = array(
    'name' => 'create promotion content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create url aliases'.
  $permissions['create url aliases'] = array(
    'name' => 'create url aliases',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'path',
  );

  // Exported permission: 'create webform content'.
  $permissions['create webform content'] = array(
    'name' => 'create webform content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'customize shortcut links'.
  $permissions['customize shortcut links'] = array(
    'name' => 'customize shortcut links',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'shortcut',
  );

  // Exported permission: 'delete all webform submissions'.
  $permissions['delete all webform submissions'] = array(
    'name' => 'delete all webform submissions',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'webform',
  );

  // Exported permission: 'delete any article content'.
  $permissions['delete any article content'] = array(
    'name' => 'delete any article content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any page content'.
  $permissions['delete any page content'] = array(
    'name' => 'delete any page content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any promotion content'.
  $permissions['delete any promotion content'] = array(
    'name' => 'delete any promotion content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any webform content'.
  $permissions['delete any webform content'] = array(
    'name' => 'delete any webform content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete backup files'.
  $permissions['delete backup files'] = array(
    'name' => 'delete backup files',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'delete own article content'.
  $permissions['delete own article content'] = array(
    'name' => 'delete own article content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own page content'.
  $permissions['delete own page content'] = array(
    'name' => 'delete own page content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own promotion content'.
  $permissions['delete own promotion content'] = array(
    'name' => 'delete own promotion content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own webform content'.
  $permissions['delete own webform content'] = array(
    'name' => 'delete own webform content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own webform submissions'.
  $permissions['delete own webform submissions'] = array(
    'name' => 'delete own webform submissions',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'webform',
  );

  // Exported permission: 'delete revisions'.
  $permissions['delete revisions'] = array(
    'name' => 'delete revisions',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete terms in article_types'.
  $permissions['delete terms in article_types'] = array(
    'name' => 'delete terms in article_types',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in automated_contextual_content'.
  $permissions['delete terms in automated_contextual_content'] = array(
    'name' => 'delete terms in automated_contextual_content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in copyright_licensing'.
  $permissions['delete terms in copyright_licensing'] = array(
    'name' => 'delete terms in copyright_licensing',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in page_variants'.
  $permissions['delete terms in page_variants'] = array(
    'name' => 'delete terms in page_variants',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in promotion_type'.
  $permissions['delete terms in promotion_type'] = array(
    'name' => 'delete terms in promotion_type',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete terms in tags'.
  $permissions['delete terms in tags'] = array(
    'name' => 'delete terms in tags',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'display drupal links'.
  $permissions['display drupal links'] = array(
    'name' => 'display drupal links',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'edit all webform submissions'.
  $permissions['edit all webform submissions'] = array(
    'name' => 'edit all webform submissions',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'webform',
  );

  // Exported permission: 'edit any article content'.
  $permissions['edit any article content'] = array(
    'name' => 'edit any article content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit any page content'.
  $permissions['edit any page content'] = array(
    'name' => 'edit any page content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit any promotion content'.
  $permissions['edit any promotion content'] = array(
    'name' => 'edit any promotion content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit any webform content'.
  $permissions['edit any webform content'] = array(
    'name' => 'edit any webform content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit meta tags'.
  $permissions['edit meta tags'] = array(
    'name' => 'edit meta tags',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'metatag',
  );

  // Exported permission: 'edit own article content'.
  $permissions['edit own article content'] = array(
    'name' => 'edit own article content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own page content'.
  $permissions['edit own page content'] = array(
    'name' => 'edit own page content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own promotion content'.
  $permissions['edit own promotion content'] = array(
    'name' => 'edit own promotion content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own webform content'.
  $permissions['edit own webform content'] = array(
    'name' => 'edit own webform content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own webform submissions'.
  $permissions['edit own webform submissions'] = array(
    'name' => 'edit own webform submissions',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'webform',
  );

  // Exported permission: 'edit terms in article_types'.
  $permissions['edit terms in article_types'] = array(
    'name' => 'edit terms in article_types',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in automated_contextual_content'.
  $permissions['edit terms in automated_contextual_content'] = array(
    'name' => 'edit terms in automated_contextual_content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in copyright_licensing'.
  $permissions['edit terms in copyright_licensing'] = array(
    'name' => 'edit terms in copyright_licensing',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in page_variants'.
  $permissions['edit terms in page_variants'] = array(
    'name' => 'edit terms in page_variants',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in promotion_type'.
  $permissions['edit terms in promotion_type'] = array(
    'name' => 'edit terms in promotion_type',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit terms in tags'.
  $permissions['edit terms in tags'] = array(
    'name' => 'edit terms in tags',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit webform components'.
  $permissions['edit webform components'] = array(
    'name' => 'edit webform components',
    'roles' => array(),
    'module' => 'webform',
  );

  // Exported permission: 'execute file_lock_action_lock_files'.
  $permissions['execute file_lock_action_lock_files'] = array(
    'name' => 'execute file_lock_action_lock_files',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute file_lock_action_unlock_files'.
  $permissions['execute file_lock_action_unlock_files'] = array(
    'name' => 'execute file_lock_action_unlock_files',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_assign_owner_action'.
  $permissions['execute node_assign_owner_action'] = array(
    'name' => 'execute node_assign_owner_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_make_sticky_action'.
  $permissions['execute node_make_sticky_action'] = array(
    'name' => 'execute node_make_sticky_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_make_unsticky_action'.
  $permissions['execute node_make_unsticky_action'] = array(
    'name' => 'execute node_make_unsticky_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_promote_action'.
  $permissions['execute node_promote_action'] = array(
    'name' => 'execute node_promote_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_publish_action'.
  $permissions['execute node_publish_action'] = array(
    'name' => 'execute node_publish_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_save_action'.
  $permissions['execute node_save_action'] = array(
    'name' => 'execute node_save_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_unpromote_action'.
  $permissions['execute node_unpromote_action'] = array(
    'name' => 'execute node_unpromote_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_unpublish_action'.
  $permissions['execute node_unpublish_action'] = array(
    'name' => 'execute node_unpublish_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute node_unpublish_by_keyword_action'.
  $permissions['execute node_unpublish_by_keyword_action'] = array(
    'name' => 'execute node_unpublish_by_keyword_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute pathauto_file_update_action'.
  $permissions['execute pathauto_file_update_action'] = array(
    'name' => 'execute pathauto_file_update_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute pathauto_node_update_action'.
  $permissions['execute pathauto_node_update_action'] = array(
    'name' => 'execute pathauto_node_update_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute pathauto_taxonomy_term_update_action'.
  $permissions['execute pathauto_taxonomy_term_update_action'] = array(
    'name' => 'execute pathauto_taxonomy_term_update_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute pathauto_user_update_action'.
  $permissions['execute pathauto_user_update_action'] = array(
    'name' => 'execute pathauto_user_update_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute system_block_ip_action'.
  $permissions['execute system_block_ip_action'] = array(
    'name' => 'execute system_block_ip_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute system_goto_action'.
  $permissions['execute system_goto_action'] = array(
    'name' => 'execute system_goto_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute system_message_action'.
  $permissions['execute system_message_action'] = array(
    'name' => 'execute system_message_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute system_send_email_action'.
  $permissions['execute system_send_email_action'] = array(
    'name' => 'execute system_send_email_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute user_block_user_action'.
  $permissions['execute user_block_user_action'] = array(
    'name' => 'execute user_block_user_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_archive_action'.
  $permissions['execute views_bulk_operations_archive_action'] = array(
    'name' => 'execute views_bulk_operations_archive_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_argument_selector_action'.
  $permissions['execute views_bulk_operations_argument_selector_action'] = array(
    'name' => 'execute views_bulk_operations_argument_selector_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_delete_item'.
  $permissions['execute views_bulk_operations_delete_item'] = array(
    'name' => 'execute views_bulk_operations_delete_item',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_delete_revision'.
  $permissions['execute views_bulk_operations_delete_revision'] = array(
    'name' => 'execute views_bulk_operations_delete_revision',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_modify_action'.
  $permissions['execute views_bulk_operations_modify_action'] = array(
    'name' => 'execute views_bulk_operations_modify_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_script_action'.
  $permissions['execute views_bulk_operations_script_action'] = array(
    'name' => 'execute views_bulk_operations_script_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_user_cancel_action'.
  $permissions['execute views_bulk_operations_user_cancel_action'] = array(
    'name' => 'execute views_bulk_operations_user_cancel_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'execute views_bulk_operations_user_roles_action'.
  $permissions['execute views_bulk_operations_user_roles_action'] = array(
    'name' => 'execute views_bulk_operations_user_roles_action',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'actions_permissions',
  );

  // Exported permission: 'flush caches'.
  $permissions['flush caches'] = array(
    'name' => 'flush caches',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'force password change'.
  $permissions['force password change'] = array(
    'name' => 'force password change',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'password_policy',
  );

  // Exported permission: 'import wysiwyg templates'.
  $permissions['import wysiwyg templates'] = array(
    'name' => 'import wysiwyg templates',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'wysiwyg_template',
  );

  // Exported permission: 'manipulate all entityqueues'.
  $permissions['manipulate all entityqueues'] = array(
    'name' => 'manipulate all entityqueues',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'entityqueue',
  );

  // Exported permission: 'manipulate entityqueues'.
  $permissions['manipulate entityqueues'] = array(
    'name' => 'manipulate entityqueues',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'entityqueue',
  );

  // Exported permission: 'notify of path changes'.
  $permissions['notify of path changes'] = array(
    'name' => 'notify of path changes',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'pathauto',
  );

  // Exported permission: 'perform backup'.
  $permissions['perform backup'] = array(
    'name' => 'perform backup',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'php redirect rh_node'.
  $permissions['php redirect rh_node'] = array(
    'name' => 'php redirect rh_node',
    'roles' => array(),
    'module' => 'rabbit_hole',
  );

  // Exported permission: 'restore from backup'.
  $permissions['restore from backup'] = array(
    'name' => 'restore from backup',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'revert revisions'.
  $permissions['revert revisions'] = array(
    'name' => 'revert revisions',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'search content'.
  $permissions['search content'] = array(
    'name' => 'search content',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'search',
  );

  // Exported permission: 'select account cancellation method'.
  $permissions['select account cancellation method'] = array(
    'name' => 'select account cancellation method',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'user',
  );

  // Exported permission: 'show format selection for entityqueue_subqueue'.
  $permissions['show format selection for entityqueue_subqueue'] = array(
    'name' => 'show format selection for entityqueue_subqueue',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'better_formats',
  );

  // Exported permission: 'show format selection for file'.
  $permissions['show format selection for file'] = array(
    'name' => 'show format selection for file',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'better_formats',
  );

  // Exported permission: 'show format selection for node'.
  $permissions['show format selection for node'] = array(
    'name' => 'show format selection for node',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'better_formats',
  );

  // Exported permission: 'show format selection for taxonomy_term'.
  $permissions['show format selection for taxonomy_term'] = array(
    'name' => 'show format selection for taxonomy_term',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'better_formats',
  );

  // Exported permission: 'show format selection for user'.
  $permissions['show format selection for user'] = array(
    'name' => 'show format selection for user',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'better_formats',
  );

  // Exported permission: 'show format tips'.
  $permissions['show format tips'] = array(
    'name' => 'show format tips',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'better_formats',
  );

  // Exported permission: 'show more format tips link'.
  $permissions['show more format tips link'] = array(
    'name' => 'show more format tips link',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'better_formats',
  );

  // Exported permission: 'switch shortcut sets'.
  $permissions['switch shortcut sets'] = array(
    'name' => 'switch shortcut sets',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'shortcut',
  );

  // Exported permission: 'unblock expired accounts'.
  $permissions['unblock expired accounts'] = array(
    'name' => 'unblock expired accounts',
    'roles' => array(
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'password_policy',
  );

  // Exported permission: 'update promotional_tiles entityqueue'.
  $permissions['update promotional_tiles entityqueue'] = array(
    'name' => 'update promotional_tiles entityqueue',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'entityqueue',
  );

  // Exported permission: 'use advancedform'.
  $permissions['use advancedform'] = array(
    'name' => 'use advancedform',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'advancedform',
  );

  // Exported permission: 'use media wysiwyg'.
  $permissions['use media wysiwyg'] = array(
    'name' => 'use media wysiwyg',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'media_wysiwyg',
  );

  // Exported permission: 'use text format filtered_html'.
  $permissions['use text format filtered_html'] = array(
    'name' => 'use text format filtered_html',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'filter',
  );

  // Exported permission: 'use text format filtered_html_basic'.
  $permissions['use text format filtered_html_basic'] = array(
    'name' => 'use text format filtered_html_basic',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'filter',
  );

  // Exported permission: 'use text format full_html'.
  $permissions['use text format full_html'] = array(
    'name' => 'use text format full_html',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'filter',
  );

  // Exported permission: 'use text format teaser_display_text'.
  $permissions['use text format teaser_display_text'] = array(
    'name' => 'use text format teaser_display_text',
    'roles' => array(),
    'module' => 'filter',
  );

  // Exported permission: 'view own unpublished content'.
  $permissions['view own unpublished content'] = array(
    'name' => 'view own unpublished content',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'view revisions'.
  $permissions['view revisions'] = array(
    'name' => 'view revisions',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'node',
  );

  // Exported permission: 'view the administration theme'.
  $permissions['view the administration theme'] = array(
    'name' => 'view the administration theme',
    'roles' => array(
      'Content Administrator' => 'Content Administrator',
      'Content Editor' => 'Content Editor',
      'Drupal site builder (site architects and developers only)' => 'Drupal site builder (site architects and developers only)',
    ),
    'module' => 'system',
  );

  return $permissions;
}
