<?php

/**
 * @file
 * Update Drupal elements to make them more secure and compliant.
 *
 * Profile settings for Sector to be used.
 */

/**
 * Implements hook_install_configure_form_alter().
 *
 * Changes the inserted variables on the installer to some different defaults.
 */
function sector_form_install_configure_form_alter(&$form, &$form_state) {
  $form['site_information']['site_name']['#default_value'] = 'Sector';
  $form['site_information']['site_mail']['#default_value'] = 'admin@' . $_SERVER['HTTP_HOST'];
  $form['admin_account']['account']['name']['#default_value'] = 'admin';
  $form['admin_account']['account']['mail']['#default_value'] = 'admin@' . $_SERVER['HTTP_HOST'];
  $form['server_settings']['site_default_country']['#default_value'] = 'NZ';
  $timezone_form = $form['server_settings']['date_default_timezone'];

  // As a workaround to core issue #1017020 (http://drupal.org/node/1017020),
  // we override the timezone javascript behaviour by setting it to null in the
  // javascript file added below.
  $form['#attached']['js'] = array(
    drupal_get_path('module', 'sector_core') . '/js/sector_core.js' => array(
      'type' => 'file',
    ),
  );
}

/**
 * Implements hook_block_info_alter().
 */
function sector_block_info_alter(&$blocks, $theme, $code_blocks) {
  $blocks['system']['help']['region'] = 'content';
  $blocks['system']['user-menu']['title'] = '<none>';
}

/**
 * Implements hook_system_info_alter().
 */
function sector_system_info_alter(&$info, $file, $type) {
  if (isset($info['project']) && $info['project'] == 'sector' && arg(0) == 'admin' && arg(1) == 'modules') {
    $info['dependencies'] = array();
  }
}
