/**
 * Custom javascript
 *
 */
(function ($) {

Drupal.FieldGroup = Drupal.FieldGroup || {};
Drupal.FieldGroup.Effects = Drupal.FieldGroup.Effects || {};
Drupal.FieldGroup.groupWithfocus = null;
/**
 * Implements Drupal.FieldGroup.processHook().
 *
 * The transcript field (All file types) is wrapped by a Display Suite field group <div>.
 * The field group is configured via the Manage display settings to be collapsed.
 *
 * This project requires linking to the transcript field via Image Description
 * Extension (longdesc). https://www.w3.org/TR/html-longdesc/
 *
 * The code below allows us to open the collapsed field group on the fly when
 * a link with the string #transcript is included in the url.
 *
 * This is mostly a copy of code in field_group/field_group.js with a few additions.
 *
 * Warning - If the field_group module is updated this js will need to updated too.
 * There is a note in the drush.make file with a similar alert.
 *
 */

Drupal.FieldGroup.Effects.processDiv = {
  execute: function (context, settings, type) {

    $('div.collapsible', context).once('fieldgroup-effects', function() {

      var hash = location.hash;
      var $wrapper = $(this);

      // Turn the legend into a clickable link, but retain span.field-group-format-toggler
      // for CSS positioning.

      var $toggler = $('span.field-group-format-toggler:first', $wrapper);
      var $link = $('<a class="field-group-format-title" href="#"></a>');
      $link.prepend($toggler.contents());

      // Add required field markers if needed
      if ($(this).is('.required-fields') && $(this).find('.form-required').length > 0) {
        $link.append(' ').append($('.form-required').eq(0).clone());
      }

      $link.appendTo($toggler);

      // .wrapInner() does not retain bound events.
      $link.click(function () {
        var wrapper = $wrapper.get(0);
        // Don't animate multiple times.
        if (!wrapper.animating) {
          wrapper.animating = true;
          var speed = $wrapper.hasClass('speed-fast') ? 300 : 1000;
          if ($wrapper.hasClass('effect-none') && $wrapper.hasClass('speed-none')) {
            $('> .field-group-format-wrapper', wrapper).toggle();
          }
          else if ($wrapper.hasClass('effect-blind')) {
            $('> .field-group-format-wrapper', wrapper).toggle('blind', {}, speed);
          }
          else {
            $('> .field-group-format-wrapper', wrapper).toggle(speed);
          }
          wrapper.animating = false;
        }

        if (($wrapper).is('#transcript')) {
          if($wrapper.hasClass('collapsed')) {
            $link.text('Hide transcript');
          } else {
            $link.text('View transcript');
          }
        }
        $wrapper.toggleClass('collapsed');
        return false;
      });

      if (hash == '#transcript') {
        $link.trigger('click');
      }

    });
  }
};

})(jQuery);
