/**
 * Custom javascript
 *
 */
(function ($) {

  Drupal.behaviors.scrollHelpers = {
    attach: function (context, settings) {
      /**
      * Add classes to the body when user scolls down and is near the bottom
      * Used in CSS to hide/show the back to top link.
      * Used in CSS to hide/show 'back to table of contents link' on multipages.
      *
      */
      $(window).scroll(function() {
        if ($(this).scrollTop() > 1300){
          $('body').addClass("you-are-going-down");
        }
        else {
          $('body').removeClass("you-are-going-down");
        }

        if($(window).scrollTop() + $(window).height() > $(document).height() - 800) {
           $('body').addClass("you-are-near-the-bottom");
        }
        else {
          $('body').removeClass("you-are-near-the-bottom");
        }
      });
    }
  };

  Drupal.behaviors.formEnhancements = {
    attach: function (context, settings) {
      /**
      * Radios
      * Add class="is-checked" to the parent element of checked inputs
      * on page load. The CSS uses this class to exaggerate checked input.
      *
      */
      $("input:checked").parent('.form-type-radio').addClass('is-checked');

      $('input.form-radio').change(function () {
        if ($(this).prop('checked')) {
          $('input.form-radio').parent('.form-type-radio').removeClass('is-checked')
          $(this).parent('.form-type-radio').addClass('is-checked');
        }
      }).change();

      /**
      * Checkboxes
      * Add class="is-checked" to the parent element of checked inputs
      * on page load. The CSS uses this class to exaggerate checked input.
      *
      */
      $("input:checked").parent('.form-type-checkbox').addClass('is-checked');

      $("input:checkbox").change(function () {
        $(this).closest(".form-type-checkbox").toggleClass('is-checked', this.checked);
      });

      /**
      * Move focus to search block input when mobile search toggle is touched.
      *
      */
      $('.btn.toggle--search').on({
        click: function () {
          $('#edit-search-block-form--3').focus();
          return false;
        },
      });

    }
  };

  Drupal.behaviors.flyoutSearch = {
    attach: function (context, settings) {

      // Functions for tidyness
      function toggleFlyoutSearch() {
        $('.search--small').toggleClass('search-is-active');
      }

      function hideFlyoutSearch() {
        $('.search--small').removeClass('search-is-active');
        $('.js-toggle-flyout-search').removeClass('active');
      }

      $('.js-toggle-flyout-search').on({
        click: function () {
          $(this).toggleClass('active');
          toggleFlyoutSearch();
          $('#edit-search-block-form--2').focus();
          return false;
        },
      });

      // Detect a click outside the element and hide.
      // https://css-tricks.com/dangers-stopping-event-propagation/
      $(document).on('click', function(event) {
        if (!$(event.target).closest('.search--small').length) {
          hideFlyoutSearch();
        }
      });

    }
  };

})(jQuery);
