<?php

/**
 * @file
 * Adjust the theme settings form to add local tweaks and options.
 *
 * See - https://www.drupal.org/node/177868
 *
 * /admin/appearance/settings/sector_starter
 *
 * This mimics what Bootstrap does in its own form_alter.
 * Beware, removing Bootstrap may break assumptions about the theme form
 * made here.
 */

/**
 * Implements hook_form_alter().
 */
function sector_starter_form_system_theme_settings_alter(&$form, &$form_state) {

  $form['sector_starter'] = array(
    '#type' => 'vertical_tabs',
    '#prefix' => '<h2><small>sector_starter settings</small></h2>',
    '#weight' => -20,
  );
  // Components.
  $form['customizations'] = array(
    '#type' => 'fieldset',
    '#title' => t('Customisations'),
    '#group' => 'sector_starter',
  );

  // For these variables to become usable in your theme, you can use
  // theme_get_setting('sector_starter_option');
  // where needed.
  // For fancy logo management, allow managers to add an SVG instead of a PNG.
  // Merging this with the system_theme_settings_form may result in
  // conflicts, so this is just a thing that's unique to sector_starter now.
  // @see system_theme_settings_validate()
  $form['customizations']['svg_logo_source'] = array(
    '#type'     => 'textarea',
    '#title'    => t('SVG logo raw source'),
    '#required' => FALSE,
    '#default_value' => theme_get_setting('svg_logo_source'),
  );
}
