<?php
/**
 * @file
 * sector_copyright_licensing_taxonomy.features.uuid_term.inc
 */

/**
 * Implements hook_uuid_features_default_terms().
 */
function sector_copyright_licensing_taxonomy_uuid_features_default_terms() {
  $terms = array();

  $terms[] = array(
    'name' => 'Attribution-NonCommercial',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 2,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => '0b860114-885b-42fa-9690-e9a945e6ffc8',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'CC BY-NC',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(
      'und' => array(
        0 => array(
          'value' => 'Creative Commons Attribution-Noncommercial 4.0 International Licence',
          'format' => NULL,
        ),
      ),
    ),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/licenses/by-nc/3.0/nz',
          'title' => 'Some rights reserved (CC BY-NC)',
          'attributes' => array(),
        ),
      ),
    ),
  );
  $terms[] = array(
    'name' => 'Public Domain Dedication',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 6,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => '888c6df8-ec89-4491-95b1-152c663417e3',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'CC0',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/publicdomain/zero/1.0/',
          'title' => 'Public Domain (CC0)',
          'attributes' => array(),
        ),
      ),
    ),
  );
  $terms[] = array(
    'name' => 'All Rights Reserved',
    'description' => '<p>The copyright holder, reserve all rights provided by copyright law, such as the right to make copies, distribute your work, perform your work, license, or otherwise exploit your work; no rights are waived under this license.</p>
',
    'format' => 'filtered_html',
    'weight' => 0,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => '8badfa31-141f-4cf0-ba52-c2dab72296cf',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(),
    'field_cc_licence_long' => array(),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'http://www.copyright.org.nz',
          'title' => 'All Rights Reserved',
          'attributes' => array(),
        ),
      ),
    ),
    'path' => array(
      'pathauto' => 1,
    ),
  );
  $terms[] = array(
    'name' => 'Attribution-NonCommercial-NoDerivs',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 3,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => '93ca8005-ffe8-4a28-a681-1a6a907f9a36',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'CC BY-NC-ND',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(
      'und' => array(
        0 => array(
          'value' => 'Creative Commons Attribution-Noncommercial-No Derivative Works 4.0 International Licence',
          'format' => NULL,
        ),
      ),
    ),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/licenses/by-nc-nd/3.0/nz/',
          'title' => 'Some rights reserved (CC BY-NC-ND)',
          'attributes' => array(),
        ),
      ),
    ),
  );
  $terms[] = array(
    'name' => 'Attribution-NoDerivs',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 7,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => '975e988c-c22f-4b00-aaef-358df979914a',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'CC BY-ND',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(
      'und' => array(
        0 => array(
          'value' => 'Creative Commons Attribution-No Derivative Works 4.0 International Licence',
          'format' => NULL,
        ),
      ),
    ),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/licenses/by-nd/3.0/nz',
          'title' => 'Some rights reserved (CC BY-ND)',
          'attributes' => array(),
        ),
      ),
    ),
  );
  $terms[] = array(
    'name' => 'Attribution',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 1,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => 'b49c20ed-da33-45dd-93dd-45accc8ce46c',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'CC BY',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(
      'und' => array(
        0 => array(
          'value' => 'Creative Commons Attribution 4.0 International Licence',
          'format' => NULL,
        ),
      ),
    ),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/licenses/by/3.0/nz',
          'title' => 'Some rights reserved (CC BY)',
          'attributes' => array(),
        ),
      ),
    ),
  );
  $terms[] = array(
    'name' => 'Attribution-NonCommercial-ShareAlike',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 4,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => 'd2a880ce-2d16-4cff-8f7a-239fc988b484',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'CC BY-NC-SA',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(
      'und' => array(
        0 => array(
          'value' => 'Creative Commons Attribution-Noncommercial-Share Alike 4.0 International Licence',
          'format' => NULL,
        ),
      ),
    ),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/licenses/by-nc-sa/3.0/nz',
          'title' => 'Some rights reserved (CC BY-NC-SA)',
          'attributes' => array(),
        ),
      ),
    ),
  );
  $terms[] = array(
    'name' => 'Attribution-ShareAlike',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 5,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => 'f59c529c-30c1-4e4e-b227-15b72ce2950e',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'CC BY-SA',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(
      'und' => array(
        0 => array(
          'value' => 'Creative Commons Attribution-Share Alike 4.0 International Licence',
          'format' => NULL,
        ),
      ),
    ),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/licenses/by-sa/3.0/nz',
          'title' => 'Some rights reserved (CC BY-SA)',
          'attributes' => array(),
        ),
      ),
    ),
  );
  $terms[] = array(
    'name' => 'Public Domain Work',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => 8,
    'rh_action' => NULL,
    'rh_redirect' => NULL,
    'rh_redirect_response' => NULL,
    'uuid' => 'fa3a1e4b-ee8d-4d19-b1bd-18b3e18a398c',
    'vocabulary_machine_name' => 'copyright_licensing',
    'field_cc_code' => array(
      'und' => array(
        0 => array(
          'value' => 'PD',
          'format' => NULL,
        ),
      ),
    ),
    'field_cc_licence_long' => array(
      'und' => array(
        0 => array(
          'value' => 'Public Domain',
          'format' => NULL,
        ),
      ),
    ),
    'field_copyright_link' => array(
      'und' => array(
        0 => array(
          'url' => 'https://creativecommons.org/publicdomain/mark/1.0/',
          'title' => 'Public domain',
          'attributes' => array(),
        ),
      ),
    ),
  );
  return $terms;
}
